<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<!--загрузка из декларанта артикулов-->
	
	<xsl:key use="concat(./G31_15,../../G34,../../G33,./G31_12,./G31_14,./G31_14_2,./G31_11)" name="Item" match="//DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM"/>
	<xsl:template match="//DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM" >
		<ITEM_ITEM> 
			<CODE_EXSTS>1</CODE_EXSTS>
			<CUST_CODE><xsl:value-of select="../../G33"/></CUST_CODE>
			<ITEM_NAME1><xsl:value-of select="normalize-space(../../ITEM_NAME1)"/></ITEM_NAME1>
			<ITEM_NAME3><xsl:value-of select="normalize-space(../../G31_1)"/></ITEM_NAME3>
			<PRODUCER_COUNTRY><xsl:value-of select="../../G34"/></PRODUCER_COUNTRY>
			<PRODUCER_COUNTRYNAME><xsl:value-of select="../../G31_13"/></PRODUCER_COUNTRYNAME>
			<COMMENT><xsl:value-of select="normalize-space(COMMENT)"/></COMMENT>
			<ADDINFO><xsl:value-of select="normalize-space(ADDINFO)"/></ADDINFO>
			<ITEM_PROD_MILIT><xsl:value-of select="G31_10"/></ITEM_PROD_MILIT>
			<ITEM_IMPORT><xsl:value-of select="../../../../G082"/></ITEM_IMPORT>
			<PRODUCER_NAME>
				<xsl:choose>
					<xsl:when test="string-length(G31_11)>0">
						<xsl:value-of select="normalize-space(G31_11)"/>
					</xsl:when>
					<xsl:when test="string-length(../../G3111)>0">
						<xsl:value-of select="normalize-space(../../G3111)"/>
					</xsl:when>
				</xsl:choose>
			</PRODUCER_NAME>
			<PROD_COD>
				<xsl:choose>
					<xsl:when test="string-length(G31_12)">
						<xsl:value-of select="normalize-space(G31_12)"/>
					</xsl:when>
					<xsl:when test="string-length(../../G3112)">
						<xsl:value-of select="normalize-space(../../G3112)"/>
					</xsl:when>
				</xsl:choose>
			</PROD_COD>
			<ITEM_MARKA><xsl:value-of select="normalize-space(G31_14)"/></ITEM_MARKA>
			<ITEM_MODEL><xsl:value-of select="normalize-space(G31_14_2)"/></ITEM_MODEL>
			<ITEM_CODE><xsl:value-of select="G31_15"/></ITEM_CODE>
			<ITEM_GOST><xsl:value-of select="G31_16"/></ITEM_GOST>
			<ITEM_SORT><xsl:value-of select="G31_17"/></ITEM_SORT>
			<ITEM_4403><xsl:value-of select="G31_18"/></ITEM_4403>
			<ITEM_TREE><xsl:value-of select="G31_19"/></ITEM_TREE>
			<ITEM_SIZE><xsl:value-of select="G31_20"/></ITEM_SIZE>
			<UNIT_CODE><xsl:value-of select="UNIT_CODE"/></UNIT_CODE>
			<UNIT_NAME2><xsl:value-of select="UNIT_NAME"/></UNIT_NAME2>
			<UNIT_CODE_DOP><xsl:value-of select="../../G41A"/></UNIT_CODE_DOP>
			<UNIT_NAME_DOP><xsl:value-of select="../../G31_71"/></UNIT_NAME_DOP>
			<ITEM_PRICE>
				<xsl:choose>
					<xsl:when  test="string-length(PRICE)>0 and number(PRICE)>0">
						<xsl:value-of select="format-number(PRICE,'0.00')"/>
					</xsl:when>
					<xsl:when  test="string-length(../../ITEM_PRICE)>0 and number(../../ITEM_PRICE)>0">
						<xsl:value-of select="format-number(../../ITEM_PRICE,'0.00')"/>
					</xsl:when>
				</xsl:choose>
			</ITEM_PRICE>
			<ITEM_PRICE_VAL><xsl:value-of select="../../../../G221"/></ITEM_PRICE_VAL>
			<xsl:if test="string-length(../../G31_7)>0 and number(../../G31_7)>0 and string-length(../../G38)>0 and number(../../G38)>0">
				<ITEM_WEIGHT><xsl:value-of select="round((../../G38 div ../../G31_7) * 1000) div 1000"/></ITEM_WEIGHT>
				<ITEM_WEIGHT_IND>1</ITEM_WEIGHT_IND>
			</xsl:if>	
			<xsl:if test="string-length(../../G31_7)>0 and number(../../G31_7)>0 and string-length(../../G38_2)>0 and number(../../G38_2)>0">
				<ITEM_WEIGHT_NPACK><xsl:value-of select="round((../../G38_2 div ../../G31_7) * 1000) div 1000"/></ITEM_WEIGHT_NPACK>
			</xsl:if>	
			<xsl:if test="string-length(../../G31_7)>0 and number(../../G31_7)>0 and string-length(../../G35)>0 and number(../../G35)>0">
				<ITEM_WEIGHT1><xsl:value-of select="round((../../G35 div ../../G31_7) * 1000) div 1000"/></ITEM_WEIGHT1>
			</xsl:if>
			<ISSUEDATE><xsl:value-of select="ISSUEDATE"/></ISSUEDATE>
			<SERIALNUMBERS><xsl:value-of select="SERIALNUMBERS"/></SERIALNUMBERS>
			<PACK_CODE>
				<xsl:choose>
					<xsl:when  test="string-length(PACK_CODE)>0">
						<xsl:value-of select="PACK_CODE"/>
					</xsl:when>
					<xsl:when  test="string-length(../../DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[PKSIGN=0]/PACK_CODE)>0">
						<xsl:value-of select="../../DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[PKSIGN=0]/PACK_CODE"/>
					</xsl:when>
				</xsl:choose>
			</PACK_CODE>
			<xsl:variable name="items" select="G31_15"/>
			<CERTIF>
				<xsl:for-each select="//DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[../../DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/G31_15=$items]">
					<CERTIF_ITEM>
						<xsl:choose>
							<xsl:when  test="string-length(G443)>0">
								<DATE><xsl:value-of select="concat(substring(G443,9,2),'.',substring(G443,6,2),'.',substring(G443,1,4))"/></DATE>
							</xsl:when>
							<xsl:otherwise><DATE/></xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(G446)>0">
							<DATE_BEGIN><xsl:value-of select="concat(substring(G446,9,2),'.',substring(G446,6,2),'.',substring(G446,1,4))"/></DATE_BEGIN>
						</xsl:if> 
						<xsl:if test="string-length(G447)>0">
							<DATE_END><xsl:value-of select="concat(substring(G447,9,2),'.',substring(G447,6,2),'.',substring(G447,1,4))"/></DATE_END>
						</xsl:if>	
						<NUM><xsl:value-of select="G442"/></NUM>
						<TYPE_CH><xsl:value-of select="G441"/></TYPE_CH>
						<NAMEDOC><xsl:value-of select="normalize-space(G444)"/></NAMEDOC>
						<PROD_NAME1><xsl:value-of select="G445"/></PROD_NAME1>
						<NUMPRDOC><xsl:value-of select="NUMPRDOC"/></NUMPRDOC>
						<SGNSUBMDOC><xsl:value-of select="SGNSUBMDOC"/></SGNSUBMDOC>
					</CERTIF_ITEM>	
				</xsl:for-each>
			</CERTIF>
		</ITEM_ITEM>
	</xsl:template>
	
	
	
	<xsl:template match="/">
		<xsl:apply-templates select="//DCL/DCL_ITEM"/>
	</xsl:template>

	<xsl:template match="DCL/DCL_ITEM">
		<ITEM> 
			<ITEMCOU><xsl:value-of select="count(//DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[string-length(G442)>0])"/></ITEMCOU>
			<xsl:apply-templates select="//DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM[generate-id(.)=generate-id(key('Item',concat(./G31_15,../../G34,../../G33,./G31_12,./G31_14,./G31_14_2,./G31_11)))]"/>
		</ITEM>
	</xsl:template>
</xsl:stylesheet>
