<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<xsl:key use="concat(../../G32,./PKSIGN,./PACK_CODE)" name="PackC" match="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[string-length(PACK_CODE)>0]"/>	
	<xsl:template match="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[string-length(PACK_CODE)>0]">
		<xsl:param name="G32c"/>
		<xsl:variable name="pack" select="PACK_CODE"/>
		<xsl:variable name="packpr" select="PKSIGN"/>
		<GTDPK_ITEM>
			<G32><xsl:value-of select="$G32c"/></G32>
			<xsl:if test="string-length(PKINF)>0">
				<PKINF><xsl:value-of select="PKINF"/></PKINF>
			</xsl:if>
			<xsl:if test="sum(//DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[../../G32=$G32c and PACK_CODE=$pack and PKSIGN=$packpr and string-length(PACK_CODE)>0]/PACK_QUANT)>0">
				<PKKOLVO><xsl:value-of select="sum(//DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[../../G32=$G32c and PACK_CODE=$pack and PKSIGN=$packpr and string-length(PACK_CODE)>0]/PACK_QUANT)"/></PKKOLVO>
			</xsl:if>
			<xsl:if test="string-length($packpr)>0">
				<PKSIGN><xsl:value-of select="$packpr"/></PKSIGN>
			</xsl:if>
			<PKVID><xsl:value-of select="$pack"/></PKVID>
		</GTDPK_ITEM>
	</xsl:template>	
	
	<xsl:key use="concat(../../G32,./CONT_NUM)" name="cont" match="DCL_LOAD_CONT/DCL_LOAD_CONT_ITEM"/>
	<xsl:template name="ContG32">
		<xsl:param name="Keys"/>
		<xsl:param name="G32c"/>
		<xsl:for-each select="$Keys">
			<xsl:if test="string-length(CONT_NUM)>0">
				<GTDCONT_ITEM>
					<CONTAINER><xsl:value-of select="CONT_NUM"/></CONTAINER>
					<xsl:if test="string-length(CONT_TYPE)>0">
						<CONTSTAT><xsl:value-of select="CONT_TYPE"/></CONTSTAT>
					</xsl:if>
					<G32><xsl:value-of select="$G32c"/></G32>
				</GTDCONT_ITEM>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="Cont">
		<xsl:param name="G32c"/>
		<xsl:call-template name="ContG32">
			<xsl:with-param name="Keys" select="DCL_LOAD_CONT/DCL_LOAD_CONT_ITEM[generate-id(.)=generate-id(key('cont',concat(../../G32,./CONT_NUM)))]"/>
			<xsl:with-param name="G32c" select="$G32c"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:key use="concat(../../G32,./G202T,./G2021T)" name="uslp" match="DCL_LOAD_USLP/DCL_LOAD_USLP_ITEM"/>
	<xsl:template name="UslG32">
		<xsl:param name="Keys"/>
		<xsl:param name="G32c"/>
		<xsl:for-each select="$Keys">
			<xsl:if test="string-length(G202T)>0">
				<GTDTERMS_ITEM>
					<G32><xsl:value-of select="$G32c"/></G32>
					<TERMS><xsl:value-of select="G202T"/></TERMS>
					<TERMSPOINT><xsl:value-of select="G2021T"/></TERMSPOINT>
				</GTDTERMS_ITEM>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="Usl">
		<xsl:param name="G32c"/>
		<xsl:call-template name="UslG32">
			<xsl:with-param name="Keys" select="DCL_LOAD_USLP/DCL_LOAD_USLP_ITEM[generate-id(.)=generate-id(key('uslp',concat(../../G32,./G202T,./G2021T)))]"/>
			<xsl:with-param name="G32c" select="$G32c"/>
		</xsl:call-template>
	</xsl:template>

	
	
	<xsl:template name="SplitTextBySpace">
		<xsl:param name="Text"/>
		<xsl:param name="Len"/>
		<xsl:choose>
			<xsl:when test="string-length($Text)&lt;$Len">
				<xsl:value-of select="$Text"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="sSubstring">
					<xsl:choose>
						<xsl:when test="starts-with($Text, ' ')">
							<xsl:value-of select="string(' ')"/>
						</xsl:when>
						<xsl:when test="contains($Text, ' ')">
							<xsl:value-of select="concat(substring-before($Text,' '),' ')"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="substring($Text,1, $Len)"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="TextBefore" select="$sSubstring"/>
				<xsl:variable name="TextBeforeLen" select="string-length($TextBefore)"/>
				<xsl:if test="$TextBeforeLen &lt;= $Len">
					<xsl:variable name="TextAfter" select="substring($Text,$TextBeforeLen+1)"/>
					<xsl:value-of select="$TextBefore"/>
					<xsl:if test="($Len - $TextBeforeLen) >0 and contains($TextAfter, ' ')">
						<xsl:variable name="sResultAfter">
							<xsl:call-template name="SplitTextBySpace">
								<xsl:with-param name="Text" select="$TextAfter"/>
								<xsl:with-param name="Len" select="$Len - $TextBeforeLen"/>
							</xsl:call-template>
						</xsl:variable>
						<xsl:value-of select="$sResultAfter"/>
					</xsl:if>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:output method="xml"/>
	<xsl:template match="/DCL/DCL_ITEM">
		<xsl:variable select="REC_ID" name="GrPack"/>
		<ALLDOCUMENTS>
			<ALLDOCUMENTS_ITEM>
				<xsl:choose>
					<xsl:when test="string-length(DOCTYPE)>0">
						<DOCTYPE><xsl:value-of select="DOCTYPE"/></DOCTYPE>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="G011='ИМ' and G012=40">
								<DOCTYPE>03</DOCTYPE>
							</xsl:when>
							<xsl:when test="G011='ЭК' and G012=10">
								<DOCTYPE>01</DOCTYPE>
							</xsl:when>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="string-length(G07)>0">
					<G07><xsl:value-of select="G07"/></G07>
				</xsl:if>
				<CARDTS/>
				<DECLPRIM>
					<DECLPRIM_ITEM>
						<xsl:if test="string-length(DOCTYPE)>0">
							<DOCTYPE><xsl:value-of select="DOCTYPE"/></DOCTYPE>
						</xsl:if>
						<xsl:variable name="proc" select="concat(G012,'0000')"/>
						<xsl:if test="string-length(G011)>0">
							<G011><xsl:value-of select="G011"/></G011>
						</xsl:if>
						<xsl:if test="string-length(G012)>0">
							<G012><xsl:value-of select="G012"/></G012>
						</xsl:if>
						<xsl:if test="string-length(G0131)>0">
							<G0131><xsl:value-of select="G0131"/></G0131>
						</xsl:if>						
						<xsl:if test="string-length(G021)>0">
							<G021><xsl:value-of select="G021"/></G021>
						</xsl:if>
						<xsl:if test="string-length(G022)>0">
							<G022><xsl:value-of select="G022"/></G022>
						</xsl:if>
						<xsl:if test="string-length(G027)>0">
							<G027><xsl:value-of select="G027"/></G027>
						</xsl:if>
						<xsl:if test="string-length(G05)>0">
							<G05><xsl:value-of select="G05"/></G05>
						</xsl:if>
						<xsl:if test="string-length(G06)>0">
							<G06><xsl:value-of select="G06"/></G06>
						</xsl:if>
						<xsl:if test="string-length(G07_CODE)>0">
							<G07_CODE><xsl:value-of select="G07_CODE"/></G07_CODE>
						</xsl:if>
						<xsl:if test="string-length(G081)>0">
							<G081><xsl:value-of select="G081"/></G081>
						</xsl:if>
						<xsl:if test="string-length(G082)>0">
							<G082><xsl:value-of select="G082"/></G082>
						</xsl:if>
						<xsl:if test="string-length(G087)>0">
							<G087><xsl:value-of select="G087"/></G087>
						</xsl:if>
						<xsl:if test="string-length(G091)>0">
							<G091><xsl:value-of select="G091"/></G091>
						</xsl:if>
						<xsl:if test="string-length(G092)>0">
							<G092><xsl:value-of select="G092"/></G092>
						</xsl:if>
						<xsl:if test="string-length(G097)>0">
							<G097><xsl:value-of select="G097"/></G097>
						</xsl:if>
						<xsl:if test="string-length(G11)>0">
							<G11><xsl:value-of select="G11"/></G11>
						</xsl:if>
						<xsl:if test="string-length(G12)>0">
							<G12><xsl:value-of select="format-number(G12,'#.00')"/></G12>
						</xsl:if>
						<xsl:if test="string-length(G121)>0">
							<G121><xsl:value-of select="G121"/></G121>
						</xsl:if>
						<xsl:if test="string-length(G141)>0">
							<G141><xsl:value-of select="G141"/></G141>
						</xsl:if>
						<xsl:if test="string-length(G142)>0">
							<G142><xsl:value-of select="G142"/></G142>
						</xsl:if>
						<xsl:if test="string-length(G147)>0">
							<G147><xsl:value-of select="G147"/></G147>
						</xsl:if>
						<xsl:if test="string-length(G15)>0">
							<G15><xsl:value-of select="G15"/></G15>
						</xsl:if>
						<xsl:if test="string-length(G15A)>0">
							<G15A><xsl:value-of select="G15A"/></G15A>
						</xsl:if>
						<xsl:if test="string-length(G16)>0">
							<G16><xsl:value-of select="G16"/></G16>
						</xsl:if>
						<xsl:if test="string-length(G16A)>0">
							<G161><xsl:value-of select="G16A"/></G161>
						</xsl:if>
						<xsl:if test="string-length(G17A)>0">
							<G17A><xsl:value-of select="G17A"/></G17A>
						</xsl:if>
						<xsl:if test="string-length(G17B)>0">
							<G17B><xsl:value-of select="G17B"/></G17B>
						</xsl:if>
						<xsl:if test="count(//DCL_TRANS/DCL_TRANS_ITEM[NGR=18 and string-length(NTRANS)>0]/NTRANS)>0">
							<G180><xsl:value-of select="count(//DCL_TRANS/DCL_TRANS_ITEM[NGR=18 and string-length(NTRANS)>0]/NTRANS)"/></G180>
						</xsl:if>	
						<xsl:if test="string-length(G181)>0">
							<G181><xsl:value-of select="G181"/></G181>
						</xsl:if>	
						<xsl:if test="string-length(G182)>0">
							<G182><xsl:value-of select="G182"/></G182>
						</xsl:if>
						<G19>	
							<xsl:choose>
								<xsl:when test="count(DCL_LOAD_CONT/DCL_LOAD_CONT_ITEM[string-length(CONT_NUM)>0])>0">1</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</G19>
						<xsl:if test="string-length(G202)>0">
							<G202><xsl:value-of select="G202"/></G202>
						</xsl:if>
						<xsl:if test="string-length(G2021)>0">
							<G2021><xsl:value-of select="G2021"/></G2021>
						</xsl:if>
						<xsl:if test="count(//DCL_TRANS/DCL_TRANS_ITEM[NGR=21 and string-length(NTRANS)>0]/NTRANS)>0">
							<G210><xsl:value-of select="count(//DCL_TRANS/DCL_TRANS_ITEM[NGR=21 and string-length(NTRANS)>0]/NTRANS)"/></G210>
						</xsl:if>
						<xsl:if test="string-length(G211)>0">
							<G211><xsl:value-of select="G211"/></G211>
						</xsl:if>
						<xsl:if test="string-length(G212)>0">
							<G212><xsl:value-of select="G212"/></G212>
						</xsl:if>
						<xsl:if test="string-length(G221)>0">
							<G221><xsl:value-of select="G221"/></G221>
						</xsl:if>
						<xsl:if test="string-length(G222)>0">
							<G222><xsl:value-of select="format-number(G222,'0.00')"/></G222>
						</xsl:if>
						<xsl:if test="string-length(G23)>0">
							<G23><xsl:value-of select="format-number(G23,'0.0000')"/></G23>
						</xsl:if>
						<xsl:if test="string-length(G230)>0">
							<G230><xsl:value-of select="G230"/></G230>
						</xsl:if>
						<xsl:if test="string-length(G24)>0">
							<G24><xsl:value-of select="G24"/></G24>
						</xsl:if>
						<xsl:if test="string-length(G24_2)>0">
							<G24_2><xsl:value-of select="G24_2"/></G24_2>
						</xsl:if>
						<xsl:if test="string-length(G251)>0">
							<G251><xsl:value-of select="G251"/></G251>
						</xsl:if>
						<xsl:if test="string-length(G261)>0">
							<G261><xsl:value-of select="G261"/></G261>
						</xsl:if>
						<xsl:if test="string-length(G29)>0">
							<G29><xsl:value-of select="G29"/></G29>
						</xsl:if>
						<xsl:if test="string-length(G30)>0">
							<G30><xsl:value-of select="G30"/></G30>
						</xsl:if>
						<xsl:if test="string-length(G300)>0">
							<G300><xsl:value-of select="G300"/></G300>
						</xsl:if>
						<xsl:if test="string-length(G301)>0">
							<G301><xsl:value-of select="G301"/></G301>
						</xsl:if>
						<xsl:if test="string-length(G3010)>0">
							<G3010><xsl:value-of select="G3010"/></G3010>
						</xsl:if>
						<xsl:if test="string-length(G3011)>0">
							<G3011><xsl:value-of select="G3011"/></G3011>
						</xsl:if>
						<xsl:if test="string-length(G3012)>0">
							<G3012><xsl:value-of select="G3012"/></G3012>
						</xsl:if>
						<xsl:if test="string-length(G30COUNTRYCODE)>0">
							<G30COUNTRYCODE><xsl:value-of select="G30COUNTRYCODE"/></G30COUNTRYCODE>		
						</xsl:if>
						<xsl:if test="string-length(G30POST)>0">	
							<G30POST><xsl:value-of select="G30POST"/></G30POST>			
						</xsl:if>
						<xsl:if test="string-length(G30SUBD)>0">
							<G30SUBD><xsl:value-of select="G30SUBD"/></G30SUBD>
						</xsl:if>	
						<xsl:if test="string-length(G30CITY)>0">
							<G30CITY><xsl:value-of select="G30CITY"/></G30CITY>
						</xsl:if>
						<xsl:if test="string-length(G30STREET)>0">
							<G30STREET><xsl:value-of select="G30STREET"/></G30STREET>
						</xsl:if>
						<xsl:if test="string-length(G541)>0">
							<G541><xsl:value-of select="G541"/></G541>
						</xsl:if>
						<xsl:if test="string-length(G542)>0">
							<G542><xsl:value-of select="G542"/></G542>
						</xsl:if>
						<xsl:if test="string-length(GD1)>0">
							<GD1><xsl:value-of select="GD1"/></GD1>
						</xsl:if>
						<xsl:if test="string-length(G021)>0">
							<M021><xsl:value-of select="G021"/></M021>
						</xsl:if>
						<xsl:if test="string-length(G081)>0">
							<M081><xsl:value-of select="G081"/></M081>
						</xsl:if>
						<xsl:if test="string-length(G091)>0">
							<M091><xsl:value-of select="G091"/></M091>
						</xsl:if>
						<xsl:if test="string-length(M141)>0">
							<M141><xsl:value-of select="M141"/></M141>
						</xsl:if>
						<xsl:if test="string-length(M29)>0">
							<M29><xsl:value-of select="M29"/></M29>
						</xsl:if>
						<ADDTODECLPRIM>
							<ADDTODECLPRIM_ITEM>
								<xsl:if test="string-length(G023CITY)>0">
									<G023CITY><xsl:value-of select="G023CITY"/></G023CITY>
								</xsl:if>
								<xsl:if test="string-length(G023POST)>0">
									<G023POST><xsl:value-of select="G023POST"/></G023POST>
								</xsl:if>
								<xsl:if test="string-length(G023STREET)>0">
									<G023STREET><xsl:value-of select="G023STREET"/></G023STREET>
								</xsl:if>
								<xsl:if test="string-length(G023SUBD)>0">
									<G023SUBD><xsl:value-of select="G023SUBD"/></G023SUBD>
								</xsl:if>
								<xsl:if test="string-length(G07)>0">
									<G07><xsl:value-of select="G07"/></G07>
								</xsl:if>
								<xsl:if test="string-length(G083CITY)>0">
									<G083CITY><xsl:value-of select="G083CITY"/></G083CITY>
								</xsl:if>
								<xsl:if test="string-length(G083POST)>0">
									<G083POST><xsl:value-of select="G083POST"/></G083POST>
								</xsl:if>
								<xsl:if test="string-length(G083STREET)>0">
									<G083STREET><xsl:value-of select="G083STREET"/></G083STREET>
								</xsl:if>
								<xsl:if test="string-length(G083SUBD)>0">
									<G083SUBD><xsl:value-of select="G083SUBD"/></G083SUBD>
								</xsl:if>
								<xsl:if test="string-length(G093CITY)>0">
									<G093CITY><xsl:value-of select="G093CITY"/></G093CITY>
								</xsl:if>
								<xsl:if test="string-length(G093POST)>0">
									<G093POST><xsl:value-of select="G093POST"/></G093POST>
								</xsl:if>
								<xsl:if test="string-length(G093STREET)>0">
									<G093STREET><xsl:value-of select="G093STREET"/></G093STREET>
								</xsl:if>
								<xsl:if test="string-length(G093SUBD)>0">
									<G093SUBD><xsl:value-of select="G093SUBD"/></G093SUBD>
								</xsl:if>
								<xsl:if test="string-length(G083CITY)>0">
									<G143CITY><xsl:value-of select="G143CITY"/></G143CITY>
								</xsl:if>
								<xsl:if test="string-length(G143POST)>0">
									<G143POST><xsl:value-of select="G143POST"/></G143POST>
								</xsl:if>
								<xsl:if test="string-length(G143STREET)>0">
									<G143STREET><xsl:value-of select="G143STREET"/></G143STREET>
								</xsl:if>
								<xsl:if test="string-length(G143SUBD)>0">
									<G143SUBD><xsl:value-of select="G143SUBD"/></G143SUBD>
								</xsl:if>
								<xsl:if test="string-length(G5441)>0">
									<G5441><xsl:value-of select="G5441"/></G5441>
								</xsl:if>
								<xsl:if test="string-length(G5441NAME)>0">
									<G5441NAME><xsl:value-of select="G5441NAME"/></G5441NAME>
								</xsl:if>	
								<xsl:if test="string-length(G5441MDLNAME)>0">
									<G5441MDLNAME><xsl:value-of select="G5441MDLNAME"/></G5441MDLNAME>
								</xsl:if>
								<xsl:if test="string-length(G5442)>0">
									<G5442><xsl:value-of select="G5442"/></G5442>
								</xsl:if>
								<xsl:if test="string-length(G5443)>0">	
									<G5443><xsl:value-of select="G5443"/></G5443>
								</xsl:if>
								<xsl:if test="string-length(G5443_1)>0">		
									<G5443_1><xsl:value-of select="G5443_1"/></G5443_1>
								</xsl:if>
								<xsl:if test="string-length(G5444)>0">									
									<G5444><xsl:value-of select="G5444"/></G5444>
								</xsl:if>
								<xsl:if test="string-length(G5444_1)>0">	
									<G5444_1><xsl:value-of select="G5444_1"/></G5444_1>
								</xsl:if>
								<xsl:if test="string-length(G5445)>0">		
									<G5445><xsl:value-of select="G5445"/></G5445>
								</xsl:if>
								<xsl:if test="string-length(G5445_1)>0">		
									<G5445_1><xsl:value-of select="G5445_1"/></G5445_1>
								</xsl:if>
								<xsl:if test="string-length(G5446)>0">		
									<G5446><xsl:value-of select="G5446"/></G5446>
								</xsl:if>
								<xsl:if test="string-length(G547)>0">		
									<G5447><xsl:value-of select="G5447"/></G5447>
								</xsl:if>
								<xsl:if test="string-length(G5451)>0">		
									<G5451><xsl:value-of select="G5451"/></G5451>
								</xsl:if>
								<xsl:if test="string-length(G5451A)>0">		
									<G5451A><xsl:value-of select="G5451A"/></G5451A>
								</xsl:if>	
							</ADDTODECLPRIM_ITEM>
						</ADDTODECLPRIM>
						<ADDTODECLPRIM2>
							<ADDTODECLPRIM2_ITEM>
								<xsl:if test="string-length(G020)>0">
									<G020><xsl:value-of select="G020"/></G020>
								</xsl:if>
								<xsl:if test="string-length(G0231)>0">
									<G0231><xsl:value-of select="G0231"/></G0231>
								</xsl:if>
								<xsl:if test="string-length(G0231N)>0">
									<G0231N><xsl:value-of select="G0231N"/></G0231N>
								</xsl:if>
								<xsl:if test="string-length(G080)>0">
									<G080><xsl:value-of select="G080"/></G080>
								</xsl:if>
								<xsl:if test="string-length(G0831)>0">
									<G0831><xsl:value-of select="G0831"/></G0831>
								</xsl:if>
								<xsl:if test="string-length(G0831N)>0">
									<G0831N><xsl:value-of select="G0831N"/></G0831N>
								</xsl:if>								
								<xsl:if test="string-length(G090)>0">
									<G090><xsl:value-of select="G090"/></G090>
								</xsl:if>
								<xsl:if test="string-length(G0931)>0">
									<G0931><xsl:value-of select="G0931"/></G0931>
								</xsl:if>
								<xsl:if test="string-length(G0931N)>0">
									<G0931N><xsl:value-of select="G0931N"/></G0931N>
								</xsl:if>
								<xsl:if test="string-length(G140)>0">
									<G140><xsl:value-of select="G140"/></G140>
								</xsl:if>
								<xsl:if test="string-length(G1431)>0">
									<G1431><xsl:value-of select="G1431"/></G1431>
								</xsl:if>
								<xsl:if test="string-length(G1431N)>0">
									<G1431N><xsl:value-of select="G1431N"/></G1431N>
								</xsl:if>
								<xsl:if test="string-length(G541_INN)>0">
									<G541_INN><xsl:value-of select="G541_INN"/></G541_INN>
								</xsl:if>
								<xsl:if test="string-length(G541_KPP)>0">
									<G541_KPP><xsl:value-of select="G541_KPP"/></G541_KPP>
								</xsl:if>
								<xsl:if test="string-length(G5410)>0">
									<G5410><xsl:value-of select="G5410"/></G5410>
								</xsl:if>
								<xsl:if test="string-length(G5411)>0">
									<G5411><xsl:value-of select="G5411"/></G5411>
								</xsl:if>
								<xsl:if test="string-length(G5411D)>0">
									<G5411D><xsl:value-of select="G5411D"/></G5411D>
								</xsl:if>
								<xsl:if test="string-length(G541D)>0">
									<G541D><xsl:value-of select="G541D"/></G541D>
								</xsl:if>
								<xsl:if test="string-length(G54521)>0">
									<G54521><xsl:value-of select="G54521"/></G54521>
								</xsl:if>
								<xsl:if test="string-length(G54523)>0">
									<G54523><xsl:value-of select="G54523"/></G54523>
								</xsl:if>
								<xsl:if test="string-length(BROKACCOUNTS)>0">
									<BROKACCOUNTS><xsl:value-of select="BROKACCOUNTS"/></BROKACCOUNTS>
								</xsl:if>	
							</ADDTODECLPRIM2_ITEM>
						</ADDTODECLPRIM2>
						<DECLDOP>
							<xsl:for-each select="DCL_LOAD/DCL_LOAD_ITEM">
								<xsl:variable name="G32n">
									<xsl:choose>
										<xsl:when test="string-length(G32)>0">
											<xsl:value-of  select="G32"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of  select="position()"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<DECLDOP_ITEM>
									<xsl:variable name="BegT">
										<xsl:call-template name="SplitTextBySpace">
											<xsl:with-param name="Text" select="G31_1"/>
											<xsl:with-param name="Len" select="240"/>
										</xsl:call-template>
									</xsl:variable>
									<xsl:variable name="EndT" select="substring(G31_1,string-length($BegT)+1)"/>
									<xsl:if test="string-length(G31_20)>0">
										<G31_20><xsl:value-of select="G31_20"/></G31_20>
									</xsl:if>
									<xsl:if test="string-length(PACKCOUNTPART)>0">
										<G31_2PART><xsl:value-of select="PACKCOUNTPART"/></G31_2PART>
									</xsl:if>
									<xsl:choose>
										<xsl:when test="string-length(PACKCOUNTFULL)>0">
											<G311><xsl:value-of select="PACKCOUNTFULL"/></G311>
										</xsl:when>
										<xsl:when test="string-length(G31_2)>0">
											<G311><xsl:value-of select="G31_2"/></G311>
										</xsl:when>
									</xsl:choose>
									<xsl:choose>
										<xsl:when test="string-length(normalize-space(G31_1))>240">
											<G312><xsl:value-of select="$BegT"/></G312>
										</xsl:when>
										<xsl:otherwise>
											<G312><xsl:value-of select="G31_1"/></G312>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:if test="string-length(G31_71)>0">
										<G315><xsl:value-of select="G31_71"/></G315>
									</xsl:if>
									<xsl:if test="string-length(G31_7)>0">
										<G315A><xsl:value-of select="G31_7"/></G315A>
									</xsl:if>
									<xsl:if test="string-length(G31_8)>0">
										<G315C><xsl:value-of select="G31_8"/></G315C>
									</xsl:if>
									<xsl:if test="string-length(G31_81)>0">
										<G315CN><xsl:value-of select="G31_81"/></G315CN>
									</xsl:if>
									<xsl:if test="string-length(G31_82)>0">
										<G315CK><xsl:value-of select="G31_82"/></G315CK>
									</xsl:if>
									<xsl:if test="count(DCL_LOAD_CONT/DCL_LOAD_CONT_ITEM[string-length(CONT_NUM)>0])>0">
										<G3160><xsl:value-of select="count(DCL_LOAD_CONT/DCL_LOAD_CONT_ITEM[string-length(CONT_NUM)>0])"/></G3160>
										<G3161>
											<xsl:for-each select="DCL_LOAD_CONT/DCL_LOAD_CONT_ITEM[string-length(CONT_NUM)>0]">
												<xsl:value-of select="CONT_NUM"/>
												<xsl:if test="position()!=last()">,</xsl:if>
											</xsl:for-each>  
										</G3161>
										<G316PKCODE><xsl:value-of select="DCL_LOAD_CONT/DCL_LOAD_CONT_ITEM[string-length(CONT_CODE)>0]/CONT_CODE"/></G316PKCODE>
									</xsl:if>
									<G32><xsl:value-of select="$G32n"/></G32>
									<G33><xsl:value-of select="substring(G33,1,10)"/></G33>
									<xsl:if test="string-length(substring(G33,11,4))>0">
										<G33_AddInfo><xsl:value-of select="substring(G33,11,4)"/></G33_AddInfo>
									</xsl:if>
									<xsl:if test="string-length(G34)>0">
										<G34><xsl:value-of select="G34"/></G34>
									</xsl:if>
									<xsl:if test="string-length(G35)>0">
										<G35><xsl:value-of select="round(G35 * 1000) div 1000"/></G35>
									</xsl:if>
									<xsl:choose>
										<xsl:when test="string-length(G37)>0">
											<G37><xsl:value-of select="G37"/></G37>
										</xsl:when>
										<xsl:otherwise>
											<G37><xsl:value-of select="$proc"/></G37>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:if test="string-length(G38)>0">
										<G38><xsl:value-of select="round(G38 *1000) div 1000"/></G38>
									</xsl:if>
									<xsl:if test="string-length(G38_2)>0">
										<G38_2><xsl:value-of select="round(G38_2 *1000) div 1000"/></G38_2>
									</xsl:if>
									<xsl:if test="string-length(G41A)>0">
										<G41A><xsl:value-of select="G41A"/></G41A>
									</xsl:if>
									<xsl:if test="string-length(G42)>0">
										<G42><xsl:value-of select="round(G42 * 100) div 100"/></G42>
									</xsl:if>
									<xsl:if test="string-length(G45)>0">
										<G45><xsl:value-of select="round(G45 * 100) div 100"/></G45>
									</xsl:if>
									<ADDTODECLDOP>
										<ADDTODECLDOP_ITEM>
											<xsl:if test="string-length(normalize-space($EndT))>0">
												<ADDTO312>см.дополнение</ADDTO312>
											</xsl:if>
											<xsl:if test="string-length(G31_13)>0">
												<G31_13><xsl:value-of select="G31_13"/></G31_13>
											</xsl:if>
											<G32><xsl:value-of select="$G32n"/></G32>
										</ADDTODECLDOP_ITEM>
									</ADDTODECLDOP>
									<GTD31GROUPS>
										<xsl:for-each select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM">
											<xsl:choose>
												<xsl:when test="string-length(ADDINFO)>1249">
													<xsl:variable name="BegT1">
														<xsl:call-template name="SplitTextBySpace">
															<xsl:with-param name="Text" select="ADDINFO"/>
															<xsl:with-param name="Len" select="1249"/>
														</xsl:call-template>
													</xsl:variable>
													<xsl:call-template name="GtdGroups">
														<xsl:with-param name="G32n" select="$G32n"/>
														<xsl:with-param name="AddText" select="$BegT1"/>
														<xsl:with-param name="FlgAllField" select="1"/>
													</xsl:call-template>
													<xsl:variable name="EndT1" select="substring(ADDINFO,string-length($BegT1)+1)"/>
													<xsl:if  test="string-length(normalize-space($EndT1))>0">
														<xsl:call-template name="GtdGroups">
															<xsl:with-param name="G32n" select="$G32n"/>
															<xsl:with-param name="AddText" select="normalize-space($EndT1)"/>
														</xsl:call-template>
													</xsl:if>
												</xsl:when>
												<xsl:otherwise>
													<xsl:call-template name="GtdGroups">
														<xsl:with-param name="G32n" select="$G32n"/>
														<xsl:with-param name="AddText" select="ADDINFO"/>
														<xsl:with-param name="FlgAllField" select="1"/>
													</xsl:call-template>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
									</GTD31GROUPS>
									<GTD40/>
									<GTD44>
										<xsl:for-each select="DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM">
											<GTD44_ITEM>
												<DOC_NUM><xsl:value-of select="DOC_NUM"/></DOC_NUM>
												<G32><xsl:value-of select="$G32n"/></G32>
												<xsl:choose>
													<xsl:when test="string-length(G4402)>0">
														<G4402><xsl:value-of select="G4402"/></G4402>
													</xsl:when>
													<xsl:otherwise>
														<G4402>0</G4402>
													</xsl:otherwise>
												</xsl:choose>
												<xsl:if test="string-length(G441)>0">
													<G441><xsl:value-of select="G441"/></G441>
												</xsl:if>
												<xsl:if test="string-length(G442)>0">
													<G442><xsl:value-of select="G442"/></G442>
												</xsl:if>
												<xsl:if test="string-length(G442R)>0">
													<G442R><xsl:value-of select="G442R"/></G442R>
												</xsl:if>
												<xsl:if test="string-length(G443)>0">
													<G443><xsl:value-of select="G443"/></G443>
												</xsl:if>
												<xsl:if test="string-length(G444)>0">
													<G444><xsl:value-of select="G444"/></G444>
												</xsl:if>
												<xsl:if test="string-length(G445)>0">
													<G445><xsl:value-of select="G445"/></G445>
												</xsl:if>
												<xsl:if test="string-length(G445COUNTRYCODE)>0">
													<G445COUNTRYCODE><xsl:value-of select="G445COUNTRYCODE"/></G445COUNTRYCODE>
												</xsl:if>
												<xsl:if test="string-length(G446)>0">
													<G446><xsl:value-of select="G446"/></G446>
												</xsl:if>
												<xsl:if test="string-length(G447)>0">
													<G447><xsl:value-of select="G447"/></G447>
												</xsl:if>
												<xsl:if test="string-length(G44S)>0">
													<G44S><xsl:value-of select="G44S"/></G44S>
												</xsl:if>
												<G44PREVDOCNUM><xsl:value-of select="NUMPRDOC"/></G44PREVDOCNUM>
												<G44PROVCODE><xsl:value-of select="SGNSUBMDOC"/></G44PROVCODE>
											</GTD44_ITEM>
										</xsl:for-each>
									</GTD44>
									<GTD47/>
									<GTDAVTO/>
									<GTDBACK>
										<xsl:if test="string-length(normalize-space($EndT))>0">
											<GTDBACK_ITEM>
												<G32><xsl:value-of select="$G32n"/></G32>
												<GRAPH_NO>31</GRAPH_NO>
												<TEXT><xsl:value-of select="normalize-space($EndT)"/></TEXT>
											</GTDBACK_ITEM>
										</xsl:if>
									</GTDBACK>
									<GTDCMP/>
									<GTDCONT>
										<xsl:call-template name="Cont">
											<xsl:with-param name="G32c" select="$G32n"/>
										</xsl:call-template>
									</GTDCONT>
									<GTDDINFO/>
									<GTDEXCMARK/>
									<GTDINTLCONTR/>
									<GTDPK>
										<xsl:choose>
											<xsl:when test="string-length($GrPack)>0 and number($GrPack)=1">
												<xsl:apply-templates select="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[generate-id(.)=generate-id(key('PackC',concat(../../G32,./PKSIGN,./PACK_CODE))) and string-length(PACK_CODE)>0]">
													<xsl:with-param name="G32c" select="$G32n"/>
												</xsl:apply-templates>	
											</xsl:when>
											<xsl:otherwise>
												<xsl:for-each select="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM">
													<xsl:if test="string-length(PACK_CODE)>0">
														<GTDPK_ITEM>
															<G32><xsl:value-of select="$G32n"/></G32>
															<xsl:if test="string-length(PKINF)>0">
																<PKINF><xsl:value-of select="PKINF"/></PKINF>
															</xsl:if>
															<xsl:if test="string-length(PACK_QUANT)>0">
																<PKKOLVO><xsl:value-of select="PACK_QUANT"/></PKKOLVO>
															</xsl:if>
															<xsl:if test="string-length(PKSIGN)>0">
																<PKSIGN><xsl:value-of select="PKSIGN"/></PKSIGN>
															</xsl:if>
															<xsl:if test="string-length(PACK_CODE)>0">
																<PKVID><xsl:value-of select="PACK_CODE"/></PKVID>
															</xsl:if>
														</GTDPK_ITEM>
													</xsl:if>
												</xsl:for-each>
											</xsl:otherwise>
										</xsl:choose>
									</GTDPK>
									<GTDTERMS>
										<xsl:call-template name="Usl">
											<xsl:with-param name="G32c" select="$G32n"/>
										</xsl:call-template>
									</GTDTERMS>
								</DECLDOP_ITEM>
							</xsl:for-each>
						</DECLDOP>
						<GTDB/>
						<xsl:choose>
							<xsl:when test="string-length(G251)>0 or string-length(G261)>0 or  string-length(G29)>0 or count(DCL_TRANS/DCL_TRANS_ITEM)>0">
								<GTDDKD>
									<xsl:for-each select="DCL_TRANS/DCL_TRANS_ITEM[NGR=18 or NGR=21 or NGR=29]">
										<GTDDKD_ITEM>
											<xsl:if test="string-length(G212)>0">
												<G212><xsl:value-of select="G212"/></G212>
											</xsl:if>
											<xsl:if test="string-length(NAMETRANS)>0">
												<NAMETRANS><xsl:value-of select="NAMETRANS"/></NAMETRANS>
											</xsl:if>
											<NGR><xsl:value-of select="NGR"/></NGR>
											<xsl:if test="string-length(NTRANS)>0">
												<NTRANS><xsl:value-of select="NTRANS"/></NTRANS>
											</xsl:if>
											<xsl:if test="string-length(NTRANS_PRIMARY)>0">
												<NTRANS_PRIMARY><xsl:value-of select="NTRANS_PRIMARY"/></NTRANS_PRIMARY>
											</xsl:if>
											<xsl:if test="string-length(NTRANS1)>0">
												<NTRANS1><xsl:value-of select="NTRANS1"/></NTRANS1>
											</xsl:if>
											<xsl:if test="string-length(NTRANS2)>0">
												<NTRANS2><xsl:value-of select="NTRANS2"/></NTRANS2>
											</xsl:if>
											<xsl:if test="string-length(VIDTRANS)>0">
												<VIDTRANS><xsl:value-of select="VIDTRANS"/></VIDTRANS>
											</xsl:if>
											<G29><xsl:value-of select="G29"/></G29>
											<G29COUNTRYCODE><xsl:value-of select="G29COUNTRYCODE"/></G29COUNTRYCODE>
										</GTDDKD_ITEM>
									</xsl:for-each>
									<xsl:if test="string-length(G251)>0">
										<GTDDKD_ITEM>
											<NGR>25</NGR>
											<VIDTRANS><xsl:value-of select="G251"/></VIDTRANS>
										</GTDDKD_ITEM>
									</xsl:if>
									<xsl:if test="string-length(G261)>0">
										<GTDDKD_ITEM>
											<NGR>26</NGR>
											<VIDTRANS><xsl:value-of select="G261"/></VIDTRANS>
										</GTDDKD_ITEM>
									</xsl:if>
									<xsl:if test="string-length(G29)>0 and count(DCL_TRANS/DCL_TRANS_ITEM[NGR=29])=0">
										<GTDDKD_ITEM>
											<G29><xsl:value-of select="G29"/></G29>
											<G29COUNTRYCODE><xsl:value-of select="G29COUNTRYCODE"/></G29COUNTRYCODE>
											<NGR>29</NGR>
										</GTDDKD_ITEM>
									</xsl:if>
								</GTDDKD>
							</xsl:when>
							<xsl:otherwise>
								<GTDDKD/>
							</xsl:otherwise>
						</xsl:choose>
						<GTDNPP/>
						<GTDPASSPORT/>
					</DECLPRIM_ITEM>
				</DECLPRIM>
				<DECLT1/>
				<DECLT2/>
				<DOC_LIST_HEADER/>
				<EXPENSES/>
				<INVOICEPRIM/>
				<SPECPRIM/>
			</ALLDOCUMENTS_ITEM>
		</ALLDOCUMENTS>
	</xsl:template>
	<xsl:template name="GtdGroups">
		<xsl:param  name="G32n"/>
		<xsl:param name="AddText"/>
		<xsl:param name="FlgAllField"/>
		<GTD31GROUPS_ITEM>
			<xsl:if test="string-length($AddText)>0">
				<ADDINFO><xsl:value-of select="$AddText"/></ADDINFO>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="G32G=0">
					<G32G><xsl:value-of select="position()"/></G32G>
				</xsl:when>
				<xsl:otherwise>
					<G32G><xsl:value-of select="G32G"/></G32G>
				</xsl:otherwise>
			</xsl:choose>
			<G32><xsl:value-of select="$G32n"/></G32>
			<xsl:if test="$FlgAllField=1">
				<xsl:if test="string-length(UNIT_CODE)>0">
					<CODE_EDI><xsl:value-of select="UNIT_CODE"/></CODE_EDI>
				</xsl:if>
				<xsl:if test="string-length(COMMENT)>0">
					<COMMENT><xsl:value-of select="COMMENT"/></COMMENT>
				</xsl:if>
				<xsl:if test="string-length(G31_10)>0">
					<G31_10><xsl:value-of select="G31_10"/></G31_10>
				</xsl:if>
				<xsl:if test="string-length(G31_11)>0">
					<G31_11><xsl:value-of select="G31_11"/></G31_11>
				</xsl:if>
				<xsl:if test="string-length(G31_12)>0">
					<G31_12><xsl:value-of select="G31_12"/></G31_12>
				</xsl:if>
				<xsl:if test="string-length(G31_14)>0">
					<G31_14><xsl:value-of select="G31_14"/></G31_14>
				</xsl:if>
				<xsl:if test="string-length(G31_14_2)>0">
					<G31_14_2><xsl:value-of select="G31_14_2"/></G31_14_2>
				</xsl:if>
				<xsl:if test="string-length(G31_15)>0">
					<G31_15><xsl:value-of select="G31_15"/></G31_15>
				</xsl:if>
				<xsl:if test="string-length(G31_16)>0">
					<G31_16><xsl:value-of select="G31_16"/></G31_16>
				</xsl:if>
				<xsl:if test="string-length(G31_17)>0">
					<G31_17><xsl:value-of select="G31_17"/></G31_17>
				</xsl:if>
				<xsl:if test="string-length(G31_18)>0">
					<G31_18><xsl:value-of select="G31_18"/></G31_18>
				</xsl:if>
				<xsl:if test="string-length(G31_19)>0">
					<G31_19><xsl:value-of select="G31_19"/></G31_19>
				</xsl:if>
				<xsl:if test="string-length(G31_20)>0">
					<G31_20><xsl:value-of select="G31_20"/></G31_20>
				</xsl:if>
				
				<xsl:if test="string-length(PRICE)>0">
					<G42PERUNIT><xsl:value-of select="format-number(PRICE,'0.00')"/></G42PERUNIT>
				</xsl:if>
				<xsl:if test="string-length(ISSUEDATE)>0">
					<ISSUEDATE><xsl:value-of select="ISSUEDATE"/></ISSUEDATE>
				</xsl:if>	
				<xsl:if test="string-length(QUANTITY)>0">
					<KOLVO><xsl:value-of select="QUANTITY"/></KOLVO>
				</xsl:if>
				<xsl:if test="string-length(UNIT_NAME)>0">
					<NAME_EDI><xsl:value-of select="UNIT_NAME"/></NAME_EDI>
				</xsl:if>
				<xsl:if test="string-length(SERIALNUMBERS)>0">
					<SERIALNUMBERS><xsl:value-of select="SERIALNUMBERS"/></SERIALNUMBERS>
				</xsl:if>
			</xsl:if>		
				
				
			</GTD31GROUPS_ITEM>
		</xsl:template>	
</xsl:stylesheet>
