<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml"/>
  <xsl:template name="PaspDriv">
		<xsl:param name="Field"/>
		<xsl:param name="FieldN"/>
		<xsl:choose>
			<xsl:when test="string-length($FieldN)>0">
				<xsl:if test="string-length($Field)>0">
					<xsl:value-of select="$Field"/>/</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="string-length($Field)>0">
					<xsl:value-of select="$Field"/>
					<xsl:text> </xsl:text>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="FG181">
		<xsl:call-template name="PaspDriv">
			<xsl:with-param name="Field" select="NTRANS"/>
			<xsl:with-param name="FieldN" select="NTRANS1"/>
		</xsl:call-template>
		<xsl:call-template name="PaspDriv">
			<xsl:with-param name="Field" select="NTRANS1"/>
			<xsl:with-param name="FieldN" select="NTRANS2"/>
		</xsl:call-template>
		<xsl:if test="string-length(NTRANS2)>0">
			<xsl:value-of select="normalize-space(NTRANS2)"/>
		</xsl:if>				
	</xsl:template>  
	<xsl:template name="DocGoods">
		<xsl:param name="Pos"/>
		<xsl:element name="{concat('DOCCODE',$Pos)}"><xsl:value-of select="G441"/></xsl:element>  
    	<xsl:if test="string-length(G443)>0">
			<xsl:element name="{concat('DOCDATE',$Pos)}"><xsl:value-of select="G443"/></xsl:element>  
		</xsl:if>
		<xsl:if test="string-length(G446)>0">
			<xsl:element name="{concat('DOCDATEBEGIN',$Pos)}"><xsl:value-of select="G446"/></xsl:element>  
		</xsl:if>
		<xsl:if test="string-length(G447)>0">
			<xsl:element name="{concat('DOCDATEEND',$Pos)}"><xsl:value-of select="G447"/></xsl:element>  
		</xsl:if>
		<xsl:element name="{concat('DOCNUM',$Pos)}"><xsl:value-of select="G442"/></xsl:element>  
	</xsl:template>									
	<xsl:template match="/DCL/DCL_ITEM">
		<SPECPRIM>
			<SPECPRIM_ITEM>
				<G011><xsl:value-of select="G011"/></G011>
				<G022><xsl:value-of select="G022"/></G022>
				<G023>
					<xsl:if  test="string-length(G023POST)">
						<xsl:value-of select="G023POST"/>
					</xsl:if>
					<xsl:if  test="string-length(G023SUBD)">
						<xsl:value-of select="concat(' ',G023SUBD)"/>
					</xsl:if>
					<xsl:if  test="string-length(G023CITY)">
						<xsl:value-of select="concat(' ',G023CITY)"/>
					</xsl:if>
					<xsl:if  test="string-length(G023STREET)">
						<xsl:value-of select="concat(' ',G023STREET)"/>
					</xsl:if>
				</G023>
				<G082><xsl:value-of select="G082"/></G082>
				<G221><xsl:value-of select="G221"/></G221>
				<xsl:if test="string-length(G23)>0">
					<G23><xsl:value-of select="round(G23 * 10000) div 10000"/></G23>
				</xsl:if>
				<G082><xsl:value-of select="G082"/></G082>
				<G083>
					<xsl:if  test="string-length(G083POST)">
						<xsl:value-of select="G083POST"/>
					</xsl:if>
					<xsl:if  test="string-length(G083SUBD)">
						<xsl:value-of select="concat(' ',G083SUBD)"/>
					</xsl:if>
					<xsl:if  test="string-length(G083CITY)">
						<xsl:value-of select="concat(' ',G083CITY)"/>
					</xsl:if>
					<xsl:if  test="string-length(G083STREET)">
						<xsl:value-of select="concat(' ',G083STREET)"/>
					</xsl:if>
				</G083>
				<G202><xsl:value-of select="G202"/></G202>
				<G2021><xsl:value-of select="G2021"/></G2021>
				<G221><xsl:value-of select="G221"/></G221>
				<xsl:if test="string-length(G23)>0">
					<G23><xsl:value-of select="G23"/></G23>
				</xsl:if>
				<G202><xsl:value-of select="G202t"/></G202>
				<G2021><xsl:value-of select="G2021t"/></G2021>
				<M021><xsl:value-of select="G021"/></M021>
				<M081><xsl:value-of select="G081"/></M081>
				<xsl:if test="count(DCL_TRANS/DCL_TRANS_ITEM)>0">
					<xsl:for-each select="DCL_TRANS/DCL_TRANS_ITEM[NGR=18]">
						<xsl:if test="position()=1">
							<TRANSPINFO><xsl:call-template name="FG181"/></TRANSPINFO>
						</xsl:if>
					</xsl:for-each>
				</xsl:if>
				<SPECDOP>
					<xsl:for-each select="DCL_LOAD/DCL_LOAD_ITEM">
						<xsl:variable name="G32n" select="position()"/>
						<xsl:for-each select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM">
							<SPECDOP_ITEM>
								<ADDINFO><xsl:value-of select="ADDINFO"/></ADDINFO>
								<xsl:if test="count(../../DCL_LOAD_CONT/DCL_LOAD_CONT_ITEM/CONT_NUM)>0">
									<CONTAINER>
										<xsl:for-each select="../../DCL_LOAD_CONT/DCL_LOAD_CONT_ITEM">
											<xsl:value-of select="CONT_NUM"/>
											<xsl:if test="position()!=last()">
												<xsl:text>,</xsl:text>
											</xsl:if>
										</xsl:for-each>
									</CONTAINER>
									<CONTAINERPKCODE><xsl:value-of select="../../DCL_LOAD_CONT/DCL_LOAD_CONT_ITEM[1]/CONT_CODE"/></CONTAINERPKCODE>
									<CONTAINERSTATE><xsl:value-of select="../../DCL_LOAD_CONT/DCL_LOAD_CONT_ITEM[1]/CONT_TYPE"/></CONTAINERSTATE>
								</xsl:if>
								<xsl:variable name="CouDocInv" select="count(../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021'])-1"/>
								<xsl:variable name="CouDocSp" select="4-$CouDocInv"/>

								<xsl:choose>
									<xsl:when test="count(../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021'])>1">
										<xsl:for-each select="../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021']">
											<xsl:if test="position()>1">
											<xsl:call-template name="DocGoods">
												<xsl:with-param name="Pos" select="position()-1"/>
											</xsl:call-template>	
											</xsl:if>
										</xsl:for-each>	
										<xsl:for-each select="../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441!='04021']">
											<xsl:if test="position()&lt;$CouDocSp">
											<xsl:call-template name="DocGoods">
												<xsl:with-param name="Pos" select="position()+$CouDocInv"/>
											</xsl:call-template>	
											</xsl:if>
										</xsl:for-each>	
									</xsl:when>
									<xsl:otherwise>
										<xsl:for-each select="../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441!='04021']">
											<xsl:if test="position()&lt;$CouDocSp">
											<xsl:call-template name="DocGoods">
												<xsl:with-param name="Pos" select="position()"/>
											</xsl:call-template>	
											</xsl:if>
										</xsl:for-each>	
									</xsl:otherwise>
								</xsl:choose>
								<G31_10><xsl:value-of select="G31_10"/></G31_10>
								<G31_12><xsl:value-of select="G31_12"/></G31_12>
								<G31_14><xsl:value-of select="G31_14"/></G31_14>
								<G31_14_2><xsl:value-of select="G31_14_2"/></G31_14_2>
								<G31_15><xsl:value-of select="G31_15"/></G31_15>
								<G31_16><xsl:value-of select="G31_16"/></G31_16>
								<G31_17><xsl:value-of select="G31_17"/></G31_17>
								<G31_18><xsl:value-of select="G31_18"/></G31_18>
								<G31_19><xsl:value-of select="G31_19"/></G31_19>
								<G31_20><xsl:value-of select="G31_20"/></G31_20>
								<G31_2PART><xsl:value-of select="../../PACKCOUNTPART"/></G31_2PART>
								<G311><xsl:value-of select="../../G31_2"/></G311>
								<G312><xsl:value-of select="../../G31_1"/></G312>
								<xsl:if test="string-length(../../G31_71)>0">
									<G315><xsl:value-of select="../../G31_71"/></G315>
								</xsl:if>		
								<xsl:if test="string-length(../../G31_7)>0">
									<G315A><xsl:value-of select="../../G31_7"/></G315A>
								</xsl:if>
								<xsl:if test="string-length(../../G31_8)>0">
									<G315C><xsl:value-of select="../../G31_8"/></G315C>
								</xsl:if>									
								<xsl:if test="string-length(../../G31_81)>0">									
									<G315CN><xsl:value-of select="../../G31_81"/></G315CN>									
								</xsl:if>		
								<G317IZG><xsl:value-of select="G31_11"/></G317IZG>	
								<G31GROUPSCOMMENT><xsl:value-of select="COMMENT"/></G31GROUPSCOMMENT>
								<G31GROUPSQUANTITY><xsl:value-of select="QUANTITY"/></G31GROUPSQUANTITY>
								<G31GROUPSUNITSNAME><xsl:value-of select="UNIT_NAME"/></G31GROUPSUNITSNAME>											
								<G32><xsl:value-of select="$G32n"/></G32>			
								<G32G><xsl:value-of select="G32G"/></G32G>										
								<G33><xsl:value-of select="substring(../../G33,1,10)"/></G33>
								<G33_ADDINFO><xsl:value-of select="substring(../../G33,11,4)"/></G33_ADDINFO>
								<G34><xsl:value-of select="../../G34"/></G34>
								<xsl:if test="string-length(../../G35)>0">
									<G35><xsl:value-of select="round(../../G35 * 1000) div 1000"/></G35>
								</xsl:if>
								<xsl:if test="string-length(../../G38)>0">
									<G38><xsl:value-of select="round(../../G38 * 1000) div 1000"/></G38>
								</xsl:if>
								<xsl:if test="string-length(../../G38_2)>0">
									<G38_2><xsl:value-of select="round(../../G38_2 * 1000) div 1000"/></G38_2>
								</xsl:if>
								<xsl:if test="string-length(../../G42)>0">
									<G42><xsl:value-of select="round(../../G42 * 100) div 100"/></G42>
								</xsl:if>
								<xsl:if test="string-length(PRICE)>0">
									<G42PERUNIT><xsl:value-of select="round(PRICE * 100) div 100"/></G42PERUNIT>
								</xsl:if>
								<xsl:for-each select="../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021']">
										<xsl:if test="position()=1">
											<xsl:if test="string-length(G443)>0">
												<INVOICEDATE><xsl:value-of select="G443"/></INVOICEDATE>
											</xsl:if>
											<INVOICENUM><xsl:value-of select="G442"/></INVOICENUM>
										</xsl:if>										
									</xsl:for-each>
								<PKEXISTANCECODE><xsl:value-of select="../../G31_20"/></PKEXISTANCECODE>
								<xsl:for-each select="../../DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM">
									<xsl:choose>
										<xsl:when test="PKSIGN=3">
											<PKKOLVO_PODDON><xsl:value-of select="PACK_QUANT"/></PKKOLVO_PODDON>
											<PKVID_PODDON><xsl:value-of select="PACK_CODE"/></PKVID_PODDON>
										</xsl:when>
										<xsl:when test="PKSIGN=2">
											<PKVID_GRUZ><xsl:value-of select="PACK_CODE"/></PKVID_GRUZ>
										</xsl:when>
										<xsl:when test="PKSIGN=1">
											<PKVID_TARA><xsl:value-of select="PACK_CODE"/></PKVID_TARA>
										</xsl:when>
										<xsl:otherwise>
											<PKVID_UPAK><xsl:value-of select="PACK_CODE"/></PKVID_UPAK>
											<PKKOLVO_UPAK><xsl:value-of select="PACK_QUANT"/></PKKOLVO_UPAK>
										</xsl:otherwise>	
									</xsl:choose> 
								</xsl:for-each>	
								<SERIALNUMBERS><xsl:value-of select="SERIALNUMBERS"/></SERIALNUMBERS>
							</SPECDOP_ITEM>
						</xsl:for-each>	
					</xsl:for-each>
				</SPECDOP>
			</SPECPRIM_ITEM>
		</SPECPRIM>
	</xsl:template>
</xsl:stylesheet>
