<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<xsl:template name="SplitTextBySpaceSp">
    <xsl:param name="Text"/>
    <xsl:param name="Len"/>
    <xsl:choose>
      <xsl:when test="string-length($Text)&lt;$Len">
        <xsl:value-of select="$Text"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:variable name="sSubstring">
          <xsl:choose>
            <xsl:when test="starts-with($Text, ' ')">
              <xsl:value-of select="string(' ')"/>
            </xsl:when>
            <xsl:when test="contains($Text, ' ')">
              <xsl:value-of select="concat(substring-before($Text,' '),' ')"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="substring($Text,1, $Len)"/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:variable>
        <xsl:variable name="TextBefore" select="$sSubstring"/>
        <xsl:variable name="TextBeforeLen" select="string-length($TextBefore)"/>
        <xsl:if test="$TextBeforeLen &lt;= $Len">
          <xsl:variable name="TextAfter" select="substring($Text,$TextBeforeLen+1)"/>
          <xsl:value-of select="$TextBefore"/>
          <xsl:if test="($Len - $TextBeforeLen) >0 and contains($TextAfter, ' ')">
            <xsl:variable name="sResultAfter">
              <xsl:call-template name="SplitTextBySpaceSp">
                <xsl:with-param name="Text" select="$TextAfter"/>
                <xsl:with-param name="Len" select="$Len - $TextBeforeLen"/>
              </xsl:call-template>
            </xsl:variable>
            <xsl:value-of select="$sResultAfter"/>
          </xsl:if>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
<!--загрузка из xml таможенного формата-->
<xsl:template name="GoodsDescr250">
		<xsl:param name="DesGoods"/>
		<xsl:param name="NodeName"/>
		<xsl:param name="Namsp"/> 
		<xsl:param name="LenDes"/>
		<xsl:variable name="DesGr">
			<xsl:call-template name="SplitTextBySpaceSp">
				<xsl:with-param name="Text" select="$DesGoods"/>
				<xsl:with-param name="Len"  select="$LenDes"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:element name="{$NodeName}"  namespace="{$Namsp}">
			<xsl:value-of select="normalize-space($DesGr)"/>
		</xsl:element>
		<xsl:variable name="DesGr1" select="substring($DesGoods,string-length($DesGr)+1)"/>
		<xsl:if test="string-length($DesGr1)>0">
			<xsl:call-template name="GoodsDescr250">
				<xsl:with-param name="DesGoods" select="$DesGr1"/>
				<xsl:with-param name="NodeName" select="$NodeName"/>
				<xsl:with-param name="Namsp" select="$Namsp"/> 
				<xsl:with-param name="LenDes" select="$LenDes"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	<xsl:key use="concat(./G441,./G442)" name="DocG" match="//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and string-length(G441)>0 and G441='04021']"/>	
	<xsl:template match="//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and string-length(G441)>0 and G441='04021']">
		<xsl:variable name="NumInv" select="G442"/>
		<xsl:variable name="DatInv" select="substring(G443,1,10)"/>
		<xsl:call-template name="Invoice">
			<xsl:with-param name="NumInv" select="$NumInv"/>
			<xsl:with-param name="NamInv" select="G444"/>
			<xsl:with-param name="DatInv" select="$DatInv"/>						
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="//DCL">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
			<xsl:if test="count(//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and string-length(G441)>0 and G441='04021'][generate-id(.)=generate-id(key('DocG',concat(./G441,./G442)))])>0">
				<xsl:apply-templates select="//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and string-length(G441)>0 and G441='04021'][generate-id(.)=generate-id(key('DocG',concat(./G441,./G442)))]"/>
			</xsl:if>
			<xsl:if test="count(//DCL_LOAD/DCL_LOAD_ITEM[count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021'])=0])>0">
				<xsl:call-template name="Invoice"/>
			</xsl:if>	
		</ED_Container>
	</xsl:template>
	
	<xsl:template name="Goods">
		<InvoiceGoods xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:Invoice:5.11.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0">
			<catComFin_ru:GoodMarking><xsl:value-of select="G31_15"/></catComFin_ru:GoodMarking>
			<catComFin_ru:GoodsCode><xsl:value-of select="G33"/></catComFin_ru:GoodsCode>
			<catComFin_ru:SupplementaryQualifierName><xsl:value-of select="G31_81"/></catComFin_ru:SupplementaryQualifierName>
			<xsl:call-template name="GoodsDescr250">
				<xsl:with-param name="DesGoods" select="G31_1"/>
				<xsl:with-param name="NodeName" select="'catComFin_ru:GoodsDescription'"/>
				<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
				<xsl:with-param name="LenDes" select="250"/>
			</xsl:call-template>
			<xsl:choose>
				<xsl:when test="string-length(G31_7)>0">
					<catComFin_ru:GoodsQuantity><xsl:value-of select="G31_7"/></catComFin_ru:GoodsQuantity>
				</xsl:when>
				<xsl:when test="string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/QUANTITY)>0">
					<catComFin_ru:GoodsQuantity><xsl:value-of select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/QUANTITY"/></catComFin_ru:GoodsQuantity>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="string-length(G31_71)>0">
					<catComFin_ru:MeasureUnitQualifierName><xsl:value-of select="G31_71"/></catComFin_ru:MeasureUnitQualifierName>
				</xsl:when>
				<xsl:when test="string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/UNIT_NAME)>0">
					<catComFin_ru:MeasureUnitQualifierName><xsl:value-of select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/UNIT_NAME"/></catComFin_ru:MeasureUnitQualifierName>
				</xsl:when>	
			</xsl:choose>
			<!--<xsl:choose>
				<xsl:when test="string-length(G41A)>0">
					<MeasureUnitQualifierCode><xsl:value-of select="G41A"/></MeasureUnitQualifierCode>
				</xsl:when>
				<xsl:when test="string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/UNIT_CODE)>0">
					<MeasureUnitQualifierCode><xsl:value-of select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEMUNIT_CODE"/></MeasureUnitQualifierCode>
				</xsl:when>	
			</xsl:choose>	-->
			<xsl:if test="string-length(G35)>0">
				<catComFin_ru:GrossWeightQuantity><xsl:value-of select="format-number(G35,'0.000000')"/></catComFin_ru:GrossWeightQuantity>
			</xsl:if>
			<xsl:if test="string-length(G38)>0">
				<catComFin_ru:NetWeightQuantity><xsl:value-of select="format-number(G38,'0.000000')"/></catComFin_ru:NetWeightQuantity>
			</xsl:if>
			<xsl:if test="string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/PRICE)>0">
				<catComFin_ru:Price><xsl:value-of select="format-number(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/PRICE,'0.0000')"/></catComFin_ru:Price>
			</xsl:if>
			<xsl:if test="string-length(G42)>0">
				<catComFin_ru:TotalCost><xsl:value-of select="format-number(G42,'#.0000')"/></catComFin_ru:TotalCost>
			</xsl:if>
			<xsl:if test="string-length(G34)>0">
				<xsl:variable name="CodeG34" select="G34"/>
				<catComFin_ru:OriginCountryCode><xsl:value-of select="document('../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodeG34]/Code"/></catComFin_ru:OriginCountryCode>
			</xsl:if>
			<xsl:if test="string-length(G3111)>0 or string-length(G3112)>0 or string-length(G31_14)>0  or string-length(G31_14_2)>0 or string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/G31_16)>0">
				<catComFin_ru:AdditionalGoodsDescription>
					<xsl:if test="string-length(G3111)>0">
						<catComFin_ru:Manufacturer><xsl:value-of select="G3111"/></catComFin_ru:Manufacturer>
					</xsl:if>
					<xsl:if test="string-length(G3112)>0">
						<catComFin_ru:TradeMark><xsl:value-of select="G3112"/></catComFin_ru:TradeMark>
					</xsl:if>
					<xsl:if test="string-length(G31_14)>0">
						<catComFin_ru:GoodsMark><xsl:value-of select="G31_14"/></catComFin_ru:GoodsMark>
					</xsl:if>
					<xsl:if test="string-length(G31_14_2)>0">
						<catComFin_ru:GoodsModel><xsl:value-of select="G31_14_2"/></catComFin_ru:GoodsModel>
					</xsl:if>
					<xsl:if test="string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/G31_16)>0">
						<catComFin_ru:GoodsStandart><xsl:value-of select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/G31_16"/></catComFin_ru:GoodsStandart>
					</xsl:if>
				</catComFin_ru:AdditionalGoodsDescription>
			</xsl:if>	
		</InvoiceGoods>
    </xsl:template>
	<xsl:template name="Invoice">
		<xsl:param name="NumInv"/>
		<xsl:param name="DatInv"/>
		<xsl:param name="NamInv"/>
			<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<Invoice xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:Invoice:5.11.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0"  xmlns:ctmtd="http://rail.ctm.ru/TD/Document"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1002007E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
						<xsl:if test="string-length(../../../../G23)>0">
							<CurrencyRate><xsl:value-of select="../../../../G23"/></CurrencyRate>
						</xsl:if>
						<xsl:if test="string-length(../../../../G221)>0">
							<CurrencyCode><xsl:value-of select="../../../../G221"/></CurrencyCode>
						</xsl:if>	
						<xsl:if test="string-length(../../../../G06)>0">
							<PlacesQuantity><xsl:value-of select="../../../../G06"/></PlacesQuantity>
						</xsl:if>
						<GrossWeightQuantity>
							<xsl:choose>
								<xsl:when test="string-length(concat($NumInv,$DatInv))>0">
									<xsl:value-of select="sum(//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021' and G442=$NumInv and substring(G443,1,10)=$DatInv] and string-length(G35)>0]/G35)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="sum(//DCL_LOAD/DCL_LOAD_ITEM[string-length(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G442)=0 and string-length(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G443)=0 and (DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G441='04021' or string-length(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G441)=0) and string-length(G35)>0]/G35)"/>
								</xsl:otherwise>
							</xsl:choose>
						</GrossWeightQuantity>
						<NetWeightQuantity>
							<xsl:choose>
								<xsl:when test="string-length(concat($NumInv,$DatInv))>0">
									<xsl:value-of select="sum(//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021' and G442=$NumInv and substring(G443,1,10)=$DatInv]  and string-length(G38)>0]/G38)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="sum(//DCL_LOAD/DCL_LOAD_ITEM[string-length(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G442)=0 and string-length(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G443)=0 and (DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G441='04021' or string-length(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G441)=0) and string-length(G38)>0]/G38)"/>
								</xsl:otherwise>
							</xsl:choose>
						</NetWeightQuantity>
						<GCost>
							<xsl:choose>
								<xsl:when test="string-length($NumInv)>0 and sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(GCOST)>0]/GCOST)>0">
									<xsl:value-of select="format-number(sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(GCOST)>0]/GCOST),'#.0000')"/>
								</xsl:when>
								<xsl:when test="string-length(concat($NumInv,$DatInv))>0">
									<xsl:value-of select="format-number(sum(//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021' and G442=$NumInv and substring(G443,1,10)=$DatInv]  and string-length(G42)>0]/G42),'#.0000')"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="format-number(sum(//DCL_LOAD/DCL_LOAD_ITEM[string-length(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G442)=0 and string-length(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G443)=0 and (DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G441='04021' or string-length(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G441)=0) and string-length(G42)>0]/G42),'#.0000')"/>
								</xsl:otherwise>
							</xsl:choose>
						</GCost>
						<xsl:if test="sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(DISCOUNT)>0]/DISCOUNT)>0">
								<Discount><xsl:value-of select="format-number(sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(DISCOUNT)>0]/DISCOUNT),'#.0000')"/></Discount>
							</xsl:if>	
							<xsl:if test="sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(DISCOUNTPERCENTAGE)>0]/DISCOUNTPERCENTAGE)>0">
								<DiscountPercentage><xsl:value-of select="format-number(sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(DISCOUNTPERCENTAGE)>0]/DISCOUNTPERCENTAGE),'#.#')"/></DiscountPercentage>
							</xsl:if>
							<xsl:if test="sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(TRANSPORTCHARGES)>0]/TRANSPORTCHARGES)>0">
								<TransportCharges><xsl:value-of select="format-number(sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(TRANSPORTCHARGES)>0]/TRANSPORTCHARGES),'#.00')"/></TransportCharges>
							</xsl:if>	
							<xsl:if test="sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(INSURANCECHARGES)>0]/INSURANCECHARGES)>0">
								<InsuranceCharges><xsl:value-of select="format-number(sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(INSURANCECHARGES)>0]/INSURANCECHARGES),'#.00')"/></InsuranceCharges>
							</xsl:if>
							<xsl:if test="sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(OTHERCHARGES)>0]/OTHERCHARGES)>0">
								<OtherCharges><xsl:value-of select="format-number(sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(OTHERCHARGES)>0]/OTHERCHARGES),'#.00')"/></OtherCharges>
							</xsl:if>
						<TotalCost>
							<xsl:choose>
								<xsl:when test="string-length($NumInv)>0 and sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(TOTALCOST)>0]/TOTALCOST)>0">
									<xsl:value-of select="format-number(sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(TOTALCOST)>0]/TOTALCOST),'#.0000')"/>
								</xsl:when>
								<xsl:when test="string-length($NumInv)>0 and (sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(GCOST)>0]/GCOST)>0 or sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(DISCOUNT)>0]/DISCOUNT)>0 or sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(TRANSPORTCHARGES)>0]/TRANSPORTCHARGES)>0 or sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(INSURANCECHARGES)>0]/INSURANCECHARGES)>0)">
									<xsl:value-of select="format-number(sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(GCOST)>0]/GCOST)- sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(DISCOUNT)>0]/DISCOUNT)+ sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(TRANSPORTCHARGES)>0]/TRANSPORTCHARGES)+ sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(INSURANCECHARGES)>0]/INSURANCECHARGES),'#.00')"/>
								</xsl:when>
								<xsl:when test="string-length(concat($NumInv,$DatInv))>0 and (sum(//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021' and G442=$NumInv and substring(G443,1,10)=$DatInv]  and string-length(G42)>0]/G42)>0 or sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(DISCOUNT)>0]/DISCOUNT)>0 or sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(TRANSPORTCHARGES)>0]/TRANSPORTCHARGES)>0 or sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(INSURANCECHARGES)>0]/INSURANCECHARGES)>0)">
									<xsl:value-of select="format-number(sum(//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021' and G442=$NumInv and substring(G443,1,10)=$DatInv]  and string-length(G42)>0]/G42) - sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(DISCOUNT)>0]/DISCOUNT) + sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(TRANSPORTCHARGES)>0]/TRANSPORTCHARGES) + sum(//DCL_DOPINV/DCL_DOPINV_ITEM[REGNUM=$NumInv and string-length(INSURANCECHARGES)>0]/INSURANCECHARGES),'#.0000')"/>
								</xsl:when>
							</xsl:choose>
						</TotalCost>
						<xsl:if test="string-length(../../../../G082)>0">
							<Buyer>
								<catComFin_ru:Name><xsl:value-of select="../../../../G082"/></catComFin_ru:Name>
									<xsl:choose>
									<xsl:when test="../../../../G0831='RU'">
										<cat_ru:RFOrganizationFeatures>
											<xsl:if  test="string-length(../../../../G080)>0">
												<cat_ru:OGRN><xsl:value-of select="../../../../G080"/></cat_ru:OGRN>
											</xsl:if>
											<xsl:if  test="string-length(../../../../G081)>0">
												<cat_ru:INN><xsl:value-of select="../../../../G081"/></cat_ru:INN>
											</xsl:if>	
											<xsl:if  test="string-length(../../../../G087)>0">
												<cat_ru:KPP><xsl:value-of select="../../../../G087"/></cat_ru:KPP>
											</xsl:if>
										</cat_ru:RFOrganizationFeatures>
									</xsl:when>
									<xsl:when test="../../../../G0831='KZ'">										
										<cat_ru:RKOrganizationFeatures>
											<xsl:if  test="string-length(../../../../G080)>0">
												<cat_ru:BIN><xsl:value-of select="../../../../G080"/></cat_ru:BIN>
											</xsl:if>	
											<xsl:if  test="string-length(../../../../G081)>0">
												<cat_ru:IIN><xsl:value-of select="../../../../G081"/></cat_ru:IIN>
											</xsl:if>	
										</cat_ru:RKOrganizationFeatures>
									</xsl:when>	
									<xsl:when test="../../../../G0831='BY'">
										<cat_ru:RBOrganizationFeatures>
											<xsl:if  test="string-length(../../../../G081)>0">
												<cat_ru:UNP><xsl:value-of select="../../../../G081"/></cat_ru:UNP>
											</xsl:if>	
										</cat_ru:RBOrganizationFeatures>
									</xsl:when>
								</xsl:choose>
								<xsl:if test="string-length(../../../../G083POST)>0 or string-length(../../../../G0831)>0 or string-length(../../../../G0831N)>0 or string-length(../../../../G083SUBD)>0 or string-length(../../../../G083CITY)>0 or string-length(../../../../G083STREET)>0">
									<PostalAddress>
										<xsl:if test="string-length(../../../../G083POST)>0">
											<cat_ru:PostalCode><xsl:value-of select="../../../../G083POST"/></cat_ru:PostalCode>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G0831)>0">
											<cat_ru:CountryCode><xsl:value-of select="../../../../G0831"/></cat_ru:CountryCode>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G0831N)>0">
											<cat_ru:CounryName><xsl:value-of select="../../../../G0831N"/></cat_ru:CounryName>
										</xsl:if>											
										<xsl:if test="string-length(../../../../G083SUBD)>0">
											<cat_ru:Region><xsl:value-of select="../../../../G083SUBD"/></cat_ru:Region>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G083CITY)>0">
											<cat_ru:City><xsl:value-of select="../../../../G083CITY"/></cat_ru:City>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G083STREET)>0">
											<cat_ru:StreetHouse><xsl:value-of select="../../../../G083STREET"/></cat_ru:StreetHouse>
										</xsl:if>												
									</PostalAddress>
								</xsl:if>										
							</Buyer>
						</xsl:if>
						<xsl:if test="string-length(../../../../G022)>0">
							<Seler>
								<catComFin_ru:Name><xsl:value-of select="../../../../G022"/></catComFin_ru:Name>
								<xsl:choose>
									<xsl:when test="../../../../G0231='RU'">
										<cat_ru:RFOrganizationFeatures>
											<xsl:if  test="string-length(../../../../G020)>0">
												<cat_ru:OGRN><xsl:value-of select="../../../../G020"/></cat_ru:OGRN>
											</xsl:if>
											<xsl:if  test="string-length(../../../../G021)>0">
												<cat_ru:INN><xsl:value-of select="../../../../G021"/></cat_ru:INN>
											</xsl:if>	
											<xsl:if  test="string-length(../../../../G027)>0">
												<cat_ru:KPP><xsl:value-of select="../../../../G027"/></cat_ru:KPP>
											</xsl:if>
										</cat_ru:RFOrganizationFeatures>
									</xsl:when>
									<xsl:when test="../../../../G0231='KZ'">										
										<cat_ru:RKOrganizationFeatures>
											<xsl:if  test="string-length(../../../../G020)>0">
												<cat_ru:BIN><xsl:value-of select="../../../../G020"/></cat_ru:BIN>
											</xsl:if>	
											<xsl:if  test="string-length(../../../../G021)>0">
												<cat_ru:IIN><xsl:value-of select="../../../../G021"/></cat_ru:IIN>
											</xsl:if>	
										</cat_ru:RKOrganizationFeatures>
									</xsl:when>	
									<xsl:when test="../../../../G0231='BY'">
										<cat_ru:RBOrganizationFeatures>
											<xsl:if  test="string-length(../../../../G021)>0">
												<cat_ru:UNP><xsl:value-of select="../../../../G021"/></cat_ru:UNP>
											</xsl:if>	
										</cat_ru:RBOrganizationFeatures>
									</xsl:when>
								</xsl:choose>
								<xsl:if test="string-length(../../../../G023POST)>0 or string-length(../../../../G0231)>0 or string-length(../../../../G0231N)>0 or string-length(../../../../G023SUBD)>0 or string-length(../../../../G023CITY)>0 or string-length(../../../../G023STREET)>0">
									<PostalAddress>
										<xsl:if test="string-length(../../../../G023POST)>0">
											<cat_ru:PostalCode><xsl:value-of select="../../../../G023POST"/></cat_ru:PostalCode>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G0231)>0">
											<cat_ru:CountryCode><xsl:value-of select="../../../../G0231"/></cat_ru:CountryCode>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G0231N)>0">
											<cat_ru:CounryName><xsl:value-of select="../../../../G0231N"/></cat_ru:CounryName>
										</xsl:if>											
										<xsl:if test="string-length(../../../../G023SUBD)>0">
											<cat_ru:Region><xsl:value-of select="../../../../G023SUBD"/></cat_ru:Region>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G023CITY)>0">
											<cat_ru:City><xsl:value-of select="../../../../G023CITY"/></cat_ru:City>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G023STREET)>0">
											<cat_ru:StreetHouse><xsl:value-of select="../../../../G023STREET"/></cat_ru:StreetHouse>
										</xsl:if>												
									</PostalAddress>
								</xsl:if>
							</Seler>	
						</xsl:if>
						<xsl:if test="string-length(../../../../G022)>0">
							<Consignor>
								<cat_ru:OrganizationName><xsl:value-of select="../../../../G022"/></cat_ru:OrganizationName>
								<xsl:choose>
									<xsl:when test="../../../../G0231='RU'">
										<cat_ru:RFOrganizationFeatures>
											<xsl:if  test="string-length(../../../../G020)>0">
												<cat_ru:OGRN><xsl:value-of select="../../../../G020"/></cat_ru:OGRN>
											</xsl:if>
											<xsl:if  test="string-length(../../../../G021)>0">
												<cat_ru:INN><xsl:value-of select="../../../../G021"/></cat_ru:INN>
											</xsl:if>	
											<xsl:if  test="string-length(../../../../G027)>0">
												<cat_ru:KPP><xsl:value-of select="../../../../G027"/></cat_ru:KPP>
											</xsl:if>
										</cat_ru:RFOrganizationFeatures>
									</xsl:when>
									<xsl:when test="../../../../G0231='KZ'">										
										<cat_ru:RKOrganizationFeatures>
											<xsl:if  test="string-length(../../../../G020)>0">
												<cat_ru:BIN><xsl:value-of select="../../../../G020"/></cat_ru:BIN>
											</xsl:if>	
											<xsl:if  test="string-length(../../../../G021)>0">
												<cat_ru:IIN><xsl:value-of select="../../../../G021"/></cat_ru:IIN>
											</xsl:if>	
										</cat_ru:RKOrganizationFeatures>
									</xsl:when>	
									<xsl:when test="../../../../G0231='BY'">
										<cat_ru:RBOrganizationFeatures>
											<xsl:if  test="string-length(../../../../G021)>0">
												<cat_ru:UNP><xsl:value-of select="../../../../G021"/></cat_ru:UNP>
											</xsl:if>	
										</cat_ru:RBOrganizationFeatures>
									</xsl:when>
								</xsl:choose>
								<xsl:if test="string-length(../../../../G023POST)>0 or string-length(../../../../G0231)>0 or string-length(../../../../G0231N)>0 or string-length(../../../../G023SUBD)>0 or string-length(../../../../G023CITY)>0 or string-length(../../../../G023STREET)>0">
									<cat_ru:Address>
										<xsl:if test="string-length(../../../../G023POST)>0">
											<cat_ru:PostalCode><xsl:value-of select="../../../../G023POST"/></cat_ru:PostalCode>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G0231)>0">
											<cat_ru:CountryCode><xsl:value-of select="../../../../G0231"/></cat_ru:CountryCode>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G0231N)>0">
											<cat_ru:CounryName><xsl:value-of select="../../../../G0231N"/></cat_ru:CounryName>
										</xsl:if>											
										<xsl:if test="string-length(../../../../G023SUBD)>0">
											<cat_ru:Region><xsl:value-of select="../../../../G023SUBD"/></cat_ru:Region>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G023CITY)>0">
											<cat_ru:City><xsl:value-of select="../../../../G023CITY"/></cat_ru:City>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G023STREET)>0">
											<cat_ru:StreetHouse><xsl:value-of select="../../../../G023STREET"/></cat_ru:StreetHouse>
										</xsl:if>												
									</cat_ru:Address>
								</xsl:if>
							</Consignor>	
						</xsl:if>
						<xsl:if test="string-length(../../../../G082)>0">
							<Consignee>
								<cat_ru:OrganizationName><xsl:value-of select="../../../../G082"/></cat_ru:OrganizationName>
									<xsl:choose>
									<xsl:when test="../../../../G0831='RU'">
										<cat_ru:RFOrganizationFeatures>
											<xsl:if  test="string-length(../../../../G080)>0">
												<cat_ru:OGRN><xsl:value-of select="../../../../G080"/></cat_ru:OGRN>
											</xsl:if>
											<xsl:if  test="string-length(../../../../G081)>0">
												<cat_ru:INN><xsl:value-of select="../../../../G081"/></cat_ru:INN>
											</xsl:if>	
											<xsl:if  test="string-length(../../../../G087)>0">
												<cat_ru:KPP><xsl:value-of select="../../../../G087"/></cat_ru:KPP>
											</xsl:if>
										</cat_ru:RFOrganizationFeatures>
									</xsl:when>
									<xsl:when test="../../../../G0831='KZ'">										
										<cat_ru:RKOrganizationFeatures>
											<xsl:if  test="string-length(../../../../G080)>0">
												<cat_ru:BIN><xsl:value-of select="../../../../G080"/></cat_ru:BIN>
											</xsl:if>	
											<xsl:if  test="string-length(../../../../G081)>0">
												<cat_ru:IIN><xsl:value-of select="../../../../G081"/></cat_ru:IIN>
											</xsl:if>	
										</cat_ru:RKOrganizationFeatures>
									</xsl:when>	
									<xsl:when test="../../../../G0831='BY'">
										<cat_ru:RBOrganizationFeatures>
											<xsl:if  test="string-length(../../../../G081)>0">
												<cat_ru:UNP><xsl:value-of select="../../../../G081"/></cat_ru:UNP>
											</xsl:if>	
										</cat_ru:RBOrganizationFeatures>
									</xsl:when>
								</xsl:choose>
								<xsl:if test="string-length(../../../../G083POST)>0 or string-length(../../../../G0831)>0 or string-length(../../../../G0831N)>0 or string-length(../../../../G083SUBD)>0 or string-length(../../../../G083CITY)>0 or string-length(../../../../G083STREET)>0">
									<cat_ru:Address>
										<xsl:if test="string-length(../../../../G083POST)>0">
											<cat_ru:PostalCode><xsl:value-of select="../../../../G083POST"/></cat_ru:PostalCode>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G0831)>0">
											<cat_ru:CountryCode><xsl:value-of select="../../../../G0831"/></cat_ru:CountryCode>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G0831N)>0">
											<cat_ru:CounryName><xsl:value-of select="../../../../G0831N"/></cat_ru:CounryName>
										</xsl:if>											
										<xsl:if test="string-length(../../../../G083SUBD)>0">
											<cat_ru:Region><xsl:value-of select="../../../../G083SUBD"/></cat_ru:Region>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G083CITY)>0">
											<cat_ru:City><xsl:value-of select="../../../../G083CITY"/></cat_ru:City>
										</xsl:if>	
										<xsl:if test="string-length(../../../../G083STREET)>0">
											<cat_ru:StreetHouse><xsl:value-of select="../../../../G083STREET"/></cat_ru:StreetHouse>
										</xsl:if>												
									</cat_ru:Address>
								</xsl:if>										
							</Consignee>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="string-length(concat($NumInv,$DatInv))>0">
								<xsl:for-each select="//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021' and G442=$NumInv and substring(G443,1,10)=$DatInv]]">
									<xsl:call-template name="Goods"/>
								</xsl:for-each>
							</xsl:when>
							<xsl:otherwise>
								<xsl:for-each select="//DCL_LOAD/DCL_LOAD_ITEM[string-length(concat(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G442,substring(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G443,1,10)))=0]">
									<xsl:call-template name="Goods"/>
								</xsl:for-each>
							</xsl:otherwise>
						</xsl:choose>
						<DeliveryTerms>
							<xsl:if test="string-length(../../../../G2021)>0">
								<xsl:call-template name="GoodsDescr250">
									<xsl:with-param name="DesGoods" select="../../../../G2021"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:DeliveryPlace'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="LenDes" select="40"/>
								</xsl:call-template>
							</xsl:if>
							<catComFin_ru:DeliveryTermsStringCode><xsl:value-of select="../../../../G202"/></catComFin_ru:DeliveryTermsStringCode>
							<DispatchCountryCode><xsl:value-of select="../../../../G15A"/></DispatchCountryCode>
							<TradingCountryCode><xsl:value-of select="../../../../G11"/></TradingCountryCode>
							<DestinationCountryCode><xsl:value-of select="../../../../G17A"/></DestinationCountryCode>
						</DeliveryTerms>
						<xsl:for-each select="//DCL_TRANS/DCL_TRANS_ITEM[NGR='18' and string-length(NTRANS)>0]">
							<TransportMeans>
								<catComFin_ru:Number><xsl:value-of select="NTRANS"/></catComFin_ru:Number>
								<catComFin_ru:ModeCode><xsl:value-of select="VIDTRANS"/></catComFin_ru:ModeCode>
								<catComFin_ru:NationalityCode><xsl:value-of select="G212"/></catComFin_ru:NationalityCode>
								<xsl:if test="string-length(NTRANS_PRIMARY)=0">
									<catComFin_ru:MoverIndicator>1</catComFin_ru:MoverIndicator>
								</xsl:if>
							</TransportMeans>
						</xsl:for-each>
						<Registration>
							<cat_ru:PrDocumentName><xsl:value-of select="$NamInv"/></cat_ru:PrDocumentName>
							<cat_ru:PrDocumentNumber><xsl:value-of select="$NumInv"/></cat_ru:PrDocumentNumber>
							<cat_ru:PrDocumentDate><xsl:value-of select="$DatInv"/></cat_ru:PrDocumentDate>
						</Registration>
						<xsl:if test="../DCL_LOAD_DOC_ITEM[G441='03011' and string-length(G442)>0]">
							<Contract>
								<cat_ru:PrDocumentName><xsl:value-of select="../DCL_LOAD_DOC_ITEM[G441='03011' and string-length(G444)>0]/G444"/></cat_ru:PrDocumentName>
								<cat_ru:PrDocumentNumber><xsl:value-of select="../DCL_LOAD_DOC_ITEM[G441='03011' and string-length(G442)>0]/G442"/></cat_ru:PrDocumentNumber>
								<xsl:if test="string-length(../DCL_LOAD_DOC_ITEM[G441='03011' and string-length(G443)>0]/G443)>0">
									<cat_ru:PrDocumentDate><xsl:value-of select="substring(../DCL_LOAD_DOC_ITEM[G441='03011' and string-length(G443)>0]/G443,1,10)"/></cat_ru:PrDocumentDate>
								</xsl:if>
							</Contract>
						</xsl:if>
					</Invoice>
				</DocBody>
			</ContainerDoc>
	</xsl:template>		
</xsl:stylesheet>
