<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<xsl:template name="SplitTextBySpaceSp">
    <xsl:param name="Text"/>
    <xsl:param name="Len"/>
    <xsl:choose>
      <xsl:when test="string-length($Text)&lt;$Len">
        <xsl:value-of select="$Text"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:variable name="sSubstring">
          <xsl:choose>
            <xsl:when test="starts-with($Text, ' ')">
              <xsl:value-of select="string(' ')"/>
            </xsl:when>
            <xsl:when test="contains($Text, ' ')">
              <xsl:value-of select="concat(substring-before($Text,' '),' ')"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="substring($Text,1, $Len)"/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:variable>
        <xsl:variable name="TextBefore" select="$sSubstring"/>
        <xsl:variable name="TextBeforeLen" select="string-length($TextBefore)"/>
        <xsl:if test="$TextBeforeLen &lt;= $Len">
          <xsl:variable name="TextAfter" select="substring($Text,$TextBeforeLen+1)"/>
          <xsl:value-of select="$TextBefore"/>
          <xsl:if test="($Len - $TextBeforeLen) >0 and contains($TextAfter, ' ')">
            <xsl:variable name="sResultAfter">
              <xsl:call-template name="SplitTextBySpaceSp">
                <xsl:with-param name="Text" select="$TextAfter"/>
                <xsl:with-param name="Len" select="$Len - $TextBeforeLen"/>
              </xsl:call-template>
            </xsl:variable>
            <xsl:value-of select="$sResultAfter"/>
          </xsl:if>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
<!--загрузка из xml таможенного формата-->
	<xsl:template name="GoodsDescr250">
		<xsl:param name="DesGoods"/>
		<xsl:param name="NodeName"/>
		<xsl:param name="Namsp"/> 
		<xsl:param name="LenDes"/>
		<xsl:variable name="DesGr">
			<xsl:call-template name="SplitTextBySpaceSp">
				<xsl:with-param name="Text" select="$DesGoods"/>
				<xsl:with-param name="Len"  select="$LenDes"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:element name="{$NodeName}"  namespace="{$Namsp}">
			<xsl:value-of select="normalize-space($DesGr)"/>
		</xsl:element>
		<xsl:variable name="DesGr1" select="substring($DesGoods,string-length($DesGr)+1)"/>
		<xsl:if test="string-length($DesGr1)>0">
			<xsl:call-template name="GoodsDescr250">
				<xsl:with-param name="DesGoods" select="$DesGr1"/>
				<xsl:with-param name="NodeName" select="$NodeName"/>
				<xsl:with-param name="Namsp" select="$Namsp"/> 
				<xsl:with-param name="LenDes" select="$LenDes"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	<xsl:key use="concat(./G441,./G442)" name="DocG" match="//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and string-length(G441)>0 and G441='02026']"/>	
	<xsl:template match="//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and string-length(G441)>0 and G441='02026']">
		<xsl:variable name="NumInv" select="G442"/>
		<xsl:variable name="DatInv" select="substring(G443,1,10)"/>
		<xsl:call-template name="PackList">
			<xsl:with-param name="NumInv" select="$NumInv"/>
			<xsl:with-param name="NamInv" select="G444"/>
			<xsl:with-param name="DatInv" select="$DatInv"/>						
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="//DCL_ITEM">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
			<xsl:if test="count(//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and string-length(G441)>0 and G441='02026'][generate-id(.)=generate-id(key('DocG',concat(./G441,./G442)))])>0">
				<xsl:apply-templates select="//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and string-length(G441)>0 and G441='02026'][generate-id(.)=generate-id(key('DocG',concat(./G441,./G442)))]"/>
			</xsl:if>
			<xsl:if test="count(//DCL_LOAD/DCL_LOAD_ITEM[count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='02026'])=0])>0">
				<xsl:call-template name="PackList">
					<xsl:with-param name="Level" select="0"/>
				</xsl:call-template>
			</xsl:if>	
		</ED_Container>
	</xsl:template>
	
	<xsl:template name="Goods">
		<Goods xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:PackingList:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0">
			<xsl:call-template name="GoodsDescr250">
				<xsl:with-param name="DesGoods" select="G31_1"/>
				<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
				<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:PackingList:5.10.0'"/>
				<xsl:with-param name="LenDes" select="250"/>
			</xsl:call-template>
			<GoodsQuantity>
				<xsl:choose>
					<xsl:when test="string-length(G31_7)>0">
						<xsl:value-of select="G31_7"/>
					</xsl:when>
					<xsl:when test="string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/QUANTITY)>0">
						<xsl:value-of select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/QUANTITY"/>
					</xsl:when>
					<xsl:otherwise>0</xsl:otherwise>
				</xsl:choose>
			</GoodsQuantity>
			<!--<xsl:choose>
				<xsl:when test="string-length(G31_71)>0">
					<MeasureUnitQualifierName><xsl:value-of select="G31_71"/></MeasureUnitQualifierName>
				</xsl:when>
				<xsl:when test="string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/UNIT_NAME)>0">
					<MeasureUnitQualifierName><xsl:value-of select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/UNIT_NAME"/></MeasureUnitQualifierName>
				</xsl:when>	
			</xsl:choose>-->
			<GrossWeightQuantity>
				<xsl:choose>
					<xsl:when test="string-length(G35)>0">
						<xsl:value-of select="format-number(G35,'0.000000')"/>
					</xsl:when>
					<xsl:otherwise>0</xsl:otherwise>
				</xsl:choose>
			</GrossWeightQuantity>
			<xsl:if test="string-length(G38)>0">
				<NetWeightQuantity><xsl:value-of select="format-number(G38,'0.000000')"/></NetWeightQuantity>
			</xsl:if>
			<xsl:if test="string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/G31_20)>0">
				<Dimensions><xsl:value-of select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/G31_20"/></Dimensions>
			</xsl:if>
			<!--<xsl:if test="string-length(G41A)>0">
				<MeasureUnitQualifierCode><xsl:value-of select="G41A"/></MeasureUnitQualifierCode>
			</xsl:if>-->
			<xsl:if test="string-length(G33)>0">
				<GoodMarking>
					<xsl:value-of select="G33"/>
					<xsl:if test="string-length(G31_15)>0">
						<xsl:text> </xsl:text>
						<xsl:value-of select="G31_15"/>
					</xsl:if>
				</GoodMarking>
			</xsl:if>
			<xsl:variable name="NumGood" select="G32"/>
<!--			<xsl:apply-templates select="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[string-length(PACK_QUANT)>0][generate-id(.)=generate-id(key('PlaceCode',concat($NumGood,./PACK_CODE)))]">
				<xsl:with-param name="Level" select="0"/>
			</xsl:apply-templates>			-->
			<xsl:apply-templates select="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[string-length(PACK_QUANT)>0  and  string-length(PKSIGN)>0 and normalize-space(PKSIGN)='0'][generate-id(.)=generate-id(key('PlaceCodeS0',concat($NumGood,./PACK_CODE,./PKSIGN)))]">
				<xsl:with-param name="Level" select="1"/>
			</xsl:apply-templates>			
		</Goods>
    </xsl:template>
    
   <xsl:key use="./PACK_CODE" name="PackTotalNul" match="//DCL_LOAD_PACK_ITEM"/>
    <xsl:key use="concat(../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G441,../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G442,substring(../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G443,1,10),./PACK_CODE)" name="PackTotal" match="//DCL_LOAD_PACK_ITEM"/>
	<xsl:key use="concat(../../G32,./PACK_CODE)" name="PlaceCode" match="//DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM"/>
	<xsl:key use="concat(../../G32,./PACK_CODE,./PKSIGN)" name="PlaceCodeS0" match="//DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[string-length(PKSIGN)>0 and normalize-space(PKSIGN)='0']"/>
	<xsl:template match="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM"  xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:PackingList:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0">
		<xsl:param name="Level"/>
		<xsl:param name="Num"/>
		<xsl:param name="Dat"/>
		<xsl:variable name="PlCode" select="PACK_CODE"/>
		<xsl:variable name="GoodNum" select="../../G32"/>		
		
		<xsl:choose>
			<xsl:when test="$Level=0">
				<PlacesQuantity>
					<PlacesQuantity><xsl:value-of select="sum(//DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[$PlCode=PACK_CODE  and ../../G32=$GoodNum and string-length(PACK_QUANT)>0]/PACK_QUANT)"/></PlacesQuantity>
					<PackingCode><xsl:value-of select="$PlCode"/></PackingCode>
				</PlacesQuantity>
			</xsl:when>
			<xsl:when test="$Level=1 and normalize-space(PKSIGN)='0'">
				<PackingInfo>
					<PackingCode><xsl:value-of select="$PlCode"/></PackingCode>
					<PakingQuantity><xsl:value-of select="sum(//DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[normalize-space(PKSIGN)='0'  and $PlCode=PACK_CODE  and ../../G32=$GoodNum and string-length(PACK_QUANT)>0]/PACK_QUANT)"/></PakingQuantity>
				</PackingInfo>
			</xsl:when>
			<xsl:when test="$Level=3">
				<xsl:variable name="PQuant">
					<xsl:choose>
						<xsl:when  test="string-length(concat($Num,$Dat))>0">
							<xsl:value-of select="sum(//DCL_LOAD_PACK_ITEM[../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G441='02026' and concat(../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G442,substring(../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G443,1,10))=concat($Num,$Dat) and PACK_CODE=$PlCode and string-length(PACK_QUANT)>0]/PACK_QUANT)"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="sum(//DCL_LOAD_PACK_ITEM[PACK_CODE=$PlCode and string-length(PACK_QUANT)>0]/PACK_QUANT)"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable> 
				<TotalPlacesQuantity>
					<xsl:if test="$PQuant>0">
						<PlacesQuantity><xsl:value-of select="$PQuant"/></PlacesQuantity>
					</xsl:if>
					<PackingCode><xsl:value-of select="$PlCode"/></PackingCode>
				</TotalPlacesQuantity>
			</xsl:when>
		</xsl:choose>
	</xsl:template>	
	
	<xsl:template name="Transport" xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:PackingList:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0">
		<xsl:for-each select="//DCL_TRANS/DCL_TRANS_ITEM[NGR='18' and string-length(NTRANS)>0]">
			<TransportMeans>
				<catComFin_ru:Number><xsl:value-of select="NTRANS"/></catComFin_ru:Number>
				<catComFin_ru:ModeCode><xsl:value-of select="VIDTRANS"/></catComFin_ru:ModeCode>
				<catComFin_ru:NationalityCode><xsl:value-of select="G212"/></catComFin_ru:NationalityCode>
				<xsl:if test="string-length(NTRANS_PRIMARY)=0">
					<catComFin_ru:MoverIndicator>1</catComFin_ru:MoverIndicator>
				</xsl:if>
			</TransportMeans>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="PackList">
		<xsl:param name="NumInv"/>
		<xsl:param name="DatInv"/>
		<xsl:param name="NamInv"/>
		<xsl:param name="Level"/>		
		<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
			<DocBody>
				<PackingList xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:PackingList:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1002009E">
					<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
					<GrossWeightQuantity>
						<xsl:choose>
							<xsl:when test="string-length(concat($NumInv,$DatInv))>0">
								<xsl:value-of select="sum(//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='02026' and G442=$NumInv and substring(G443,1,10)=$DatInv] and string-length(G35)>0]/G35)"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="sum(//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G441!='02026' and string-length(G35)>0]/G35)"/>
							</xsl:otherwise>
						</xsl:choose>
					</GrossWeightQuantity>
					<NetWeightQuantity>
						<xsl:choose>
							<xsl:when test="string-length(concat($NumInv,$DatInv))>0">
								<xsl:value-of select="sum(//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='02026' and G442=$NumInv and substring(G443,1,10)=$DatInv]  and string-length(G38)>0]/G38)"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="sum(//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G441!='02026' and string-length(G38)>0]/G38)"/>
							</xsl:otherwise>
						</xsl:choose>
					</NetWeightQuantity>
					<xsl:if test="string-length(G022|../../../../G022)>0">
						<Consignor>
							<cat_ru:OrganizationName><xsl:value-of select="G022|../../../../G022"/></cat_ru:OrganizationName>
							<xsl:choose>
								<xsl:when test="G0231|../../../../G0231='RU'">
									<cat_ru:RFOrganizationFeatures>
										<xsl:if  test="string-length(G020|../../../../G020)>0">
											<cat_ru:OGRN><xsl:value-of select="G020|../../../../G020"/></cat_ru:OGRN>
										</xsl:if>
										<xsl:if  test="string-length(G021|../../../../G021)>0">
											<cat_ru:INN><xsl:value-of select="G021|../../../../G021"/></cat_ru:INN>
										</xsl:if>	
										<xsl:if  test="string-length(G027|../../../../G027)>0">
											<cat_ru:KPP><xsl:value-of select="G027|../../../../G027"/></cat_ru:KPP>
										</xsl:if>
									</cat_ru:RFOrganizationFeatures>
								</xsl:when>
								<xsl:when test="G0231|../../../../G0231='KZ'">										
									<cat_ru:RKOrganizationFeatures>
										<xsl:if  test="string-length(G020|../../../../G020)>0">
											<cat_ru:BIN><xsl:value-of select="G020|../../../../G020"/></cat_ru:BIN>
										</xsl:if>	
										<xsl:if  test="string-length(G021|../../../../G021)>0">
											<cat_ru:IIN><xsl:value-of select="G021|../../../../G021"/></cat_ru:IIN>
										</xsl:if>	
									</cat_ru:RKOrganizationFeatures>
								</xsl:when>	
								<xsl:when test="G0231|../../../../G0231='BY'">
									<cat_ru:RBOrganizationFeatures>
										<xsl:if  test="string-length(G021|../../../../G021)>0">
											<cat_ru:UNP><xsl:value-of select="G021|../../../../G021"/></cat_ru:UNP>
										</xsl:if>	
									</cat_ru:RBOrganizationFeatures>
								</xsl:when>
							</xsl:choose>
							<xsl:if test="string-length(G023POST|../../../../G023POST)>0 or string-length(G0231|../../../../G0231)>0 or string-length(G0231N|../../../../G0231N)>0 or string-length(G023SUBD|../../../../G023SUBD)>0 or string-length(G023CITY|../../../../G023CITY)>0 or string-length(G023STREET|../../../../G023STREET)>0">
								<cat_ru:Address>
									<xsl:if test="string-length(G023POST|../../../../G023POST)>0">
										<cat_ru:PostalCode><xsl:value-of select="G023POST|../../../../G023POST"/></cat_ru:PostalCode>
									</xsl:if>	
									<xsl:if test="string-length(G0231|../../../../G0231)>0">
										<cat_ru:CountryCode><xsl:value-of select="G0231|../../../../G0231"/></cat_ru:CountryCode>
									</xsl:if>	
									<xsl:if test="string-length(G0231N|../../../../G0231N)>0">
										<cat_ru:CounryName><xsl:value-of select="G0231N|../../../../G0231N"/></cat_ru:CounryName>
									</xsl:if>											
									<xsl:if test="string-length(G023SUBD|../../../../G023SUBD)>0">
										<cat_ru:Region><xsl:value-of select="G023SUBD|../../../../G023SUBD"/></cat_ru:Region>
									</xsl:if>	
									<xsl:if test="string-length(G023CITY|../../../../G023CITY)>0">
										<cat_ru:City><xsl:value-of select="G023CITY|../../../../G023CITY"/></cat_ru:City>
									</xsl:if>	
									<xsl:if test="string-length(G023STREET|../../../../G023STREET)>0">
										<cat_ru:StreetHouse><xsl:value-of select="G023STREET|../../../../G023STREET"/></cat_ru:StreetHouse>
									</xsl:if>												
								</cat_ru:Address>
							</xsl:if>
						</Consignor>	
					</xsl:if>
					<xsl:if test="string-length(G082|../../../../G082)>0">
						<Consignee>
							<cat_ru:OrganizationName><xsl:value-of select="G082|../../../../G082"/></cat_ru:OrganizationName>
								<xsl:choose>
								<xsl:when test="G0831|../../../../G0831='RU'">
									<cat_ru:RFOrganizationFeatures>
										<xsl:if  test="string-length(G080|../../../../G080)>0">
											<cat_ru:OGRN><xsl:value-of select="G080|../../../../G080"/></cat_ru:OGRN>
										</xsl:if>
										<xsl:if  test="string-length(G081|../../../../G081)>0">
											<cat_ru:INN><xsl:value-of select="G081|../../../../G081"/></cat_ru:INN>
										</xsl:if>	
										<xsl:if  test="string-length(G087|../../../../G087)>0">
											<cat_ru:KPP><xsl:value-of select="G087|../../../../G087"/></cat_ru:KPP>
										</xsl:if>
									</cat_ru:RFOrganizationFeatures>
								</xsl:when>
								<xsl:when test="G0831|../../../../G0831='KZ'">										
									<cat_ru:RKOrganizationFeatures>
										<xsl:if  test="string-length(G080|../../../../G080)>0">
											<cat_ru:BIN><xsl:value-of select="G080|../../../../G080"/></cat_ru:BIN>
										</xsl:if>	
										<xsl:if  test="string-length(G081|../../../../G081)>0">
											<cat_ru:IIN><xsl:value-of select="G081|../../../../G081"/></cat_ru:IIN>
										</xsl:if>	
									</cat_ru:RKOrganizationFeatures>
								</xsl:when>	
								<xsl:when test="G0831|../../../../G0831='BY'">
									<cat_ru:RBOrganizationFeatures>
										<xsl:if  test="string-length(G081|../../../../G081)>0">
											<cat_ru:UNP><xsl:value-of select="G081|../../../../G081"/></cat_ru:UNP>
										</xsl:if>	
									</cat_ru:RBOrganizationFeatures>
								</xsl:when>
							</xsl:choose>
							<xsl:if test="string-length(G083POST|../../../../G083POST)>0 or string-length(G0831|../../../../G0831)>0 or string-length(G0831N|../../../../G0831N)>0 or string-length(G083SUBD|../../../../G083SUBD)>0 or string-length(G083CITY|../../../../G083CITY)>0 or string-length(G083STREET|../../../../G083STREET)>0">
								<cat_ru:Address>
									<xsl:if test="string-length(G083POST|../../../../G083POST)>0">
										<cat_ru:PostalCode><xsl:value-of select="G083POST|../../../../G083POST"/></cat_ru:PostalCode>
									</xsl:if>	
									<xsl:if test="string-length(G0831|../../../../G0831)>0">
										<cat_ru:CountryCode><xsl:value-of select="G0831|../../../../G0831"/></cat_ru:CountryCode>
									</xsl:if>	
									<xsl:if test="string-length(G0831N|../../../../G0831N)>0">
										<cat_ru:CounryName><xsl:value-of select="G0831N|../../../../G0831N"/></cat_ru:CounryName>
									</xsl:if>											
									<xsl:if test="string-length(G083SUBD|../../../../G083SUBD)>0">
										<cat_ru:Region><xsl:value-of select="G083SUBD|../../../../G083SUBD"/></cat_ru:Region>
									</xsl:if>	
									<xsl:if test="string-length(G083CITY|../../../../G083CITY)>0">
										<cat_ru:City><xsl:value-of select="G083CITY|../../../../G083CITY"/></cat_ru:City>
									</xsl:if>	
									<xsl:if test="string-length(G083STREET|../../../../G083STREET)>0">
										<cat_ru:StreetHouse><xsl:value-of select="G083STREET|../../../../G083STREET"/></cat_ru:StreetHouse>
									</xsl:if>												
								</cat_ru:Address>
							</xsl:if>								
						</Consignee>
					</xsl:if>
					<DeliveryTerms>
						<xsl:call-template name="GoodsDescr250">
							<xsl:with-param name="DesGoods" select="G2021|../../../../G2021"/>
							<xsl:with-param name="NodeName" select="'DeliveryPlace'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:PackingList:5.10.0'"/>
							<xsl:with-param name="LenDes" select="40"/>
						</xsl:call-template>
						<xsl:variable name="CodTr" select="G202|../../../../G202"/>
						<!--<DeliveryTermsNumericCode><xsl:value-of select="document('../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodeG34]/Code"/></DeliveryTermsNumericCode>-->
						<DeliveryTermsStringCode><xsl:value-of select="$CodTr"/></DeliveryTermsStringCode>
						<xsl:choose>
							<xsl:when test="$Level=0">
								<xsl:for-each select="//DCL_LOAD_DOC_ITEM[G441='03011' and string-length(G442)>0]">
									<Contract>
										<cat_ru:PrDocumentName><xsl:value-of select="G444"/></cat_ru:PrDocumentName>
										<cat_ru:PrDocumentNumber><xsl:value-of select="G442"/></cat_ru:PrDocumentNumber>
										<xsl:if test="string-length(G443)>0">
											<cat_ru:PrDocumentDate><xsl:value-of select="substring(G443,1,10)"/></cat_ru:PrDocumentDate>
										</xsl:if>
									</Contract>
								</xsl:for-each>
								<xsl:for-each select="//DCL_LOAD_DOC_ITEM[G441='04021' and string-length(G442)>0]">
									<Invoice>
										<cat_ru:PrDocumentName><xsl:value-of select="G444"/></cat_ru:PrDocumentName>
										<cat_ru:PrDocumentNumber><xsl:value-of select="G442"/></cat_ru:PrDocumentNumber>
										<xsl:if test="string-length(G443)>0">
											<cat_ru:PrDocumentDate><xsl:value-of select="substring(G443,1,10)"/></cat_ru:PrDocumentDate>
										</xsl:if>
									</Invoice>
								</xsl:for-each>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="../DCL_LOAD_DOC_ITEM[G441='03011' and string-length(G442)>0]">
									<Contract>
										<cat_ru:PrDocumentName><xsl:value-of select="../DCL_LOAD_DOC_ITEM[G441='03011' and string-length(G442)>0]/G444"/></cat_ru:PrDocumentName>
										<cat_ru:PrDocumentNumber><xsl:value-of select="../DCL_LOAD_DOC_ITEM[G441='03011' and string-length(G442)>0]/G442"/></cat_ru:PrDocumentNumber>
										<xsl:if test="string-length(../DCL_LOAD_DOC_ITEM[G441='03011' and string-length(G442)>0]/G443)>0">
											<cat_ru:PrDocumentDate><xsl:value-of select="substring(../DCL_LOAD_DOC_ITEM[G441='03011' and string-length(G442)>0]/G443,1,10)"/></cat_ru:PrDocumentDate>
										</xsl:if>
									</Contract>
								</xsl:if>
								<xsl:if test="../DCL_LOAD_DOC_ITEM[G441='04021' and string-length(G442)>0]">
									<Invoice>
										<cat_ru:PrDocumentName><xsl:value-of select="../DCL_LOAD_DOC_ITEM[G441='04021' and string-length(G442)>0]/G444"/></cat_ru:PrDocumentName>
										<cat_ru:PrDocumentNumber><xsl:value-of select="../DCL_LOAD_DOC_ITEM[G441='04021' and string-length(G442)>0]/G442"/></cat_ru:PrDocumentNumber>
										<xsl:if test="string-length(../DCL_LOAD_DOC_ITEM[G441='04021' and string-length(G442)>0]/G443)>0">
											<cat_ru:PrDocumentDate><xsl:value-of select="substring(../DCL_LOAD_DOC_ITEM[G441='04021' and string-length(G442)>0]/G443,1,10)"/></cat_ru:PrDocumentDate>
										</xsl:if>
									</Invoice>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length($NumInv)>0 or  string-length($DatInv)>0 or  string-length($NamInv)>0">
							<Registration>
								<xsl:if test="string-length($NamInv)>0">
									<cat_ru:PrDocumentName><xsl:value-of select="$NamInv"/></cat_ru:PrDocumentName>
								</xsl:if>	
								<xsl:if test="string-length($NumInv)>0">
									<cat_ru:PrDocumentNumber><xsl:value-of select="$NumInv"/></cat_ru:PrDocumentNumber>
								</xsl:if>	
								<xsl:if test="string-length($DatInv)>0">										
									<cat_ru:PrDocumentDate><xsl:value-of select="$DatInv"/></cat_ru:PrDocumentDate>
								</xsl:if>	
							</Registration>
						</xsl:if>	
					</DeliveryTerms>
					<xsl:choose>
						<xsl:when test="string-length(concat($NumInv,$DatInv))>0">
							<xsl:for-each select="//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='02026' and G442=$NumInv and substring(G443,1,10)=$DatInv]]">
								<xsl:call-template name="Goods"/>
							</xsl:for-each>
							<xsl:call-template name="Transport"/>
							<xsl:apply-templates select="//DCL_LOAD_PACK_ITEM[generate-id(.)=generate-id(key('PackTotal',concat('02026',$NumInv,$DatInv,./PACK_CODE)))]">
								<xsl:with-param name="Level" select="3"/>
								<xsl:with-param name="Num" select="$NumInv"/>
								<xsl:with-param name="Dat" select="$DatInv"/>								
							</xsl:apply-templates>			
						</xsl:when>
						<xsl:otherwise>
							<xsl:for-each select="//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G441!='02026']">
								<xsl:call-template name="Goods"/>
							</xsl:for-each>
							<xsl:call-template name="Transport"/>
							<xsl:apply-templates select="//DCL_LOAD_PACK_ITEM[generate-id(.)=generate-id(key('PackTotalNul',./PACK_CODE))]">
								<xsl:with-param name="Level" select="3"/>
							</xsl:apply-templates>			
						</xsl:otherwise>
					</xsl:choose>
				</PackingList>
			</DocBody>
		</ContainerDoc>
	</xsl:template>		
</xsl:stylesheet>
