<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name="CodesDoc"/>	
	<xsl:output method="xml"/>
	<!--загрузка из декларанта артикулов-->
	
	<xsl:key use="concat(./G31_15,../../G34,../../G33,../../G33_ADDINFO,./G31_12,./G31_14,./G31_14_2,./G31_11)" name="Item" match="//GTD31GROUPS/GTD31GROUPS_ITEM"/>
	<xsl:template match="//GTD31GROUPS/GTD31GROUPS_ITEM">
		<ITEM_ITEM> 
			<CODE_EXSTS>1</CODE_EXSTS>
			<CUST_CODE><xsl:value-of select="concat(../../G33,../../G33_ADDINFO)"/></CUST_CODE>
			<ITEM_NAME2>
				<xsl:value-of select="normalize-space(../../G312)"/>
				<xsl:for-each select="../../GTDBACK/GTDBACK_ITEM[GRAPH_NO=31 and string-length(TEXT)>0]">
					<xsl:value-of select="concat(' ',normalize-space(TEXT))"/>
				</xsl:for-each>
			</ITEM_NAME2>
			<PRODUCER_COUNTRY><xsl:value-of select="../../G34"/></PRODUCER_COUNTRY>
			<COMMENT><xsl:value-of select="normalize-space(COMMENT)"/></COMMENT>
			<ADDINFO><xsl:value-of select="normalize-space(ADDINFO)"/></ADDINFO>
			<ITEM_PROD_MILIT><xsl:value-of select="G31_10"/></ITEM_PROD_MILIT>
			<PRODUCER_NAME><xsl:value-of select="G31_11"/></PRODUCER_NAME>
			<PROD_COD><xsl:value-of select="G31_12"/></PROD_COD>
			<ITEM_IMPORT><xsl:value-of select="../../../../G082"/></ITEM_IMPORT>
			<ITEM_MARKA><xsl:value-of select="G31_14"/></ITEM_MARKA>
			<ITEM_MODEL><xsl:value-of select="G31_14_2"/></ITEM_MODEL>
			<ITEM_CODE><xsl:value-of select="G31_15"/></ITEM_CODE>
			<ITEM_GOST><xsl:value-of select="G31_16"/></ITEM_GOST>
			<ITEM_SORT><xsl:value-of select="G31_17"/></ITEM_SORT>
			<ITEM_4403><xsl:value-of select="G31_18"/></ITEM_4403>
			<ITEM_TREE><xsl:value-of select="G31_19"/></ITEM_TREE>
			<ITEM_SIZE><xsl:value-of select="G31_20"/></ITEM_SIZE>
			<UNIT_CODE><xsl:value-of select="CODE_EDI"/></UNIT_CODE>
			<UNIT_NAME2><xsl:value-of select="NAME_EDI"/></UNIT_NAME2>
			<UNIT_CODE_DOP><xsl:value-of select="../../G41A"/></UNIT_CODE_DOP>
			<UNIT_NAME_DOP><xsl:value-of select="../../G31_71"/></UNIT_NAME_DOP>
			<xsl:choose>
				<xsl:when test="KOLVO>1">
					<xsl:if test="string-length(../G42PERUNIT)>0 and number(../G42PERUNIT)>0">
						<ITEM_PRICE><xsl:value-of select="format-number(../G42PERUNIT div ../KOLVO,'0.00')"/></ITEM_PRICE>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="string-length(../G42PERUNIT)>0 and number(../G42PERUNIT)>0">
						<ITEM_PRICE><xsl:value-of select="format-number(../G42PERUNIT,'0.00')"/></ITEM_PRICE>
					</xsl:if>	
				</xsl:otherwise>
			</xsl:choose>
			<ITEM_PRICE_VAL><xsl:value-of select="../../../../G221"/></ITEM_PRICE_VAL>
			<ISSUEDATE><xsl:value-of select="ISSUEDATE"/></ISSUEDATE>
			<SERIALNUMBERS><xsl:value-of select="SERIALNUMBERS"/></SERIALNUMBERS>
			<xsl:variable name="items" select="G31_15"/>
			<CERTIF>
				<xsl:choose>
					<xsl:when test="string-length($CodesDoc)>0">
						<xsl:for-each select="//GTD44/GTD44_ITEM[../../GTD31GROUPS/GTD31GROUPS_ITEM/G31_15=$items]">
							<xsl:if test="contains($CodesDoc,G441)">
								<xsl:call-template name="NodeDoc44"/>
							</xsl:if>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>
						<xsl:for-each select="//GTD44/GTD44_ITEM[../../GTD31GROUPS/GTD31GROUPS_ITEM/G31_15=$items]">
							<xsl:call-template name="NodeDoc44"/>
						</xsl:for-each>
					</xsl:otherwise>
				</xsl:choose>
			</CERTIF>
		</ITEM_ITEM>
	</xsl:template>
	<xsl:template name="NodeDoc44">
		<CERTIF_ITEM>
			<xsl:choose>
				<xsl:when  test="string-length(G443)>0">
					<DATE><xsl:value-of select="concat(substring(G443,9,2),'.',substring(G443,6,2),'.',substring(G443,1,4))"/></DATE>
				</xsl:when>
				<xsl:otherwise><DATE/></xsl:otherwise>
			</xsl:choose>
			<xsl:if test="string-length(G446)>0">
				<DATE_BEGIN><xsl:value-of select="concat(substring(G446,9,2),'.',substring(G446,6,2),'.',substring(G446,1,4))"/></DATE_BEGIN>
			</xsl:if> 
			<xsl:if test="string-length(G447)>0">
				<DATE_END><xsl:value-of select="concat(substring(G447,9,2),'.',substring(G447,6,2),'.',substring(G447,1,4))"/></DATE_END>
			</xsl:if>	
			<NUM><xsl:value-of select="G442"/></NUM>
			<TYPE_CH><xsl:value-of select="G441"/></TYPE_CH>
			<NAMEDOC><xsl:value-of select="normalize-space(G444)"/></NAMEDOC>
			<PROD_NAME1><xsl:value-of select="G445"/></PROD_NAME1>
			<NUMPRDOC><xsl:value-of select="G44PREVDOCNUM"/></NUMPRDOC>
			<SGNSUBMDOC><xsl:value-of select="G44PROVCODE"/></SGNSUBMDOC>
		</CERTIF_ITEM>	
	</xsl:template>
	
	
	<xsl:template match="/">
		<xsl:apply-templates select="//ALLDOCUMENTS"/>
	</xsl:template>

	<xsl:template match="ALLDOCUMENTS">
		<ITEM> 
			<ITEMCOU><xsl:value-of select="count(//GTD44/GTD44_ITEM[string-length(G442)>0])"/></ITEMCOU>
			<xsl:apply-templates select="//GTD31GROUPS/GTD31GROUPS_ITEM[generate-id(.)=generate-id(key('Item',concat(./G31_15,../../G34,../../G33,../../G33_ADDINFO,./G31_12,./G31_14,./G31_14_2,./G31_11)))]"/>
		</ITEM>
	</xsl:template>
</xsl:stylesheet>
